(* Content-type: application/vnd.wolfram.mathematica *)

(*** Wolfram Notebook File ***)
(* http://www.wolfram.com/nb *)

(* CreatedBy='Mathematica 12.1' *)

(*CacheID: 234*)
(* Internal cache information:
NotebookFileLineBreakTest
NotebookFileLineBreakTest
NotebookDataPosition[       158,          7]
NotebookDataLength[    101208,       2611]
NotebookOptionsPosition[     92868,       2466]
NotebookOutlinePosition[     93373,       2484]
CellTagsIndexPosition[     93330,       2481]
WindowFrame->Normal*)

(* Beginning of Notebook Content *)
Notebook[{
Cell[BoxData[
 RowBox[{"BeginPackage", "[", "\"\<DisturbingFunction`\>\"", "]"}]], "Input",
 InitializationCell->
  True,ExpressionUUID->"c27c6d69-4939-4b7d-9f87-6a1a1b928a90"],

Cell[BoxData[
 RowBox[{
  RowBox[{"(*", 
   RowBox[{
    RowBox[{
     RowBox[{"--", 
      RowBox[{"--", 
       RowBox[{"--", 
        RowBox[{"--", 
         RowBox[{"--", 
          RowBox[{"--", 
           RowBox[{"--", 
            RowBox[{"--", 
             RowBox[{"--", 
              RowBox[{"--", 
               RowBox[{"--", 
                RowBox[{"--", 
                 RowBox[{"--", "Version"}]}]}]}]}]}]}]}]}]}]}]}]}], " ", 
     RowBox[{
      RowBox[{
       RowBox[{
        RowBox[{
         RowBox[{
          RowBox[{
           RowBox[{
            RowBox[{
             RowBox[{
              RowBox[{
               RowBox[{
                RowBox[{
                 RowBox[{
                  RowBox[{
                   RowBox[{
                    RowBox[{"1.2", "--"}], "--"}], "--"}], "--"}], "--"}], 
                "--"}], "--"}], "--"}], "--"}], "--"}], "--"}], "--"}], 
         "--"}], "--"}], "--"}], "--"}]}], "-"}], "*)"}], 
  "\[IndentingNewLine]", 
  RowBox[{"(*", 
   RowBox[{
    RowBox[{
     RowBox[{"--", 
      RowBox[{"--", 
       RowBox[{"--", 
        RowBox[{"--", 
         RowBox[{"--", 
          RowBox[{"--", 
           RowBox[{"-", "Carl"}]}]}]}]}]}]}], " ", "Murray"}], ",", " ", 
    "QMUL", ",", " ", "London", ",", " ", 
    RowBox[{
     RowBox[{"October", " ", 
      RowBox[{
       RowBox[{
        RowBox[{
         RowBox[{
          RowBox[{"1999", "--"}], "--"}], "--"}], "--"}], "--"}]}], "-", 
     RowBox[{"-", 
      RowBox[{"--", "-"}]}]}]}], "*)"}]}]], "Input",
 InitializationCell->True,
 CellChangeTimes->{{3.811324275183024*^9, 
  3.811324279098736*^9}},ExpressionUUID->"df70556e-e172-4645-b9a4-\
2768a1263a79"],

Cell[BoxData[
 RowBox[{"(*", "\[IndentingNewLine]", 
  RowBox[{"Version", " ", 
   RowBox[{
    RowBox[{"history", ":", "\[IndentingNewLine]", 
     RowBox[{"1.0", " ", "April", " ", "1993"}]}], "\[IndentingNewLine]", 
    RowBox[{
    "1.1", " ", "March", " ", "1994", " ", "Improved", " ", "version", " ", 
     "of", " ", "ValidArguments"}], "\[IndentingNewLine]", 
    RowBox[{
    "1.2", " ", "October", " ", "1999", " ", "Improved", " ", "version", " ", 
     "to", " ", "use", " ", "Greek", " ", "letters"}]}]}], 
  "\[IndentingNewLine]", "*)"}]], "Input",
 InitializationCell->
  True,ExpressionUUID->"6acaa786-73d4-44b4-a97f-b061788784a5"],

Cell[BoxData[
 RowBox[{
  RowBox[{"DisturbingFunction", "::", "usage"}], 
  "\"\<DisturbingFunction.m is a package that defines a lot of useful \
functions for use in the derivation of the planetary disturbing \
function.\>\""}]], "Input",
 InitializationCell->
  True,ExpressionUUID->"7f57cced-cbfc-4be0-9a18-44dc1adde32c"],

Cell[BoxData[
 RowBox[{
  RowBox[{"ValidArguments", "::", "usage"}], "=", 
  "\"\<ValidArguments[c1,c2,pw] produces an ordered list of valid arguments \
of the expansion of the disturbing function up to and including degree 'pw' \
which start with \!\(\*SubscriptBox[\(c\), \
\(1\)]\)\[Lambda]'+\!\(\*SubscriptBox[\(c\), \(2\)]\)\[Lambda].  The \
components of each argument, {\!\(\*SubscriptBox[\(c\), \
\(1\)]\),\!\(\*SubscriptBox[\(c\), \(2\)]\),\!\(\*SubscriptBox[\(c\), \
\(3\)]\),\!\(\*SubscriptBox[\(c\), \(4\)]\),\!\(\*SubscriptBox[\(c\), \
\(5\)]\),\!\(\*SubscriptBox[\(c\), \(6\)]\)}, represent the argument \
\!\(\*SubscriptBox[\(c\), \(1\)]\)\[Lambda]'+\!\(\*SubscriptBox[\(c\), \(2\)]\
\)\[Lambda]+\!\(\*SubscriptBox[\(c\), \(3\)]\)\[CurlyPi]'+\!\(\*SubscriptBox[\
\(c\), \(4\)]\)\[CurlyPi]+\!\(\*SubscriptBox[\(c\), \(5\)]\)\[CapitalOmega]'+\
\!\(\*SubscriptBox[\(c\), \(6\)]\)\[CapitalOmega].  c1 and c2 are integers of \
the form, e.g. j and i-j, where i, the order of the resonance, is an integer.\
\>\""}]], "Input",
 InitializationCell->
  True,ExpressionUUID->"50328ff4-5ef5-43e5-a71b-f6501433d817"],

Cell[BoxData[
 RowBox[{
  RowBox[{"ValidArgumentsE", "::", "usage"}], "=", 
  "\"\<ValidArgumentsE[\!\(\*SubscriptBox[\(c\), \(1\)]\),\!\(\*SubscriptBox[\
\(c\), \(2\)]\),pw] produces an ordered list of valid arguments of the \
expansion of the indirect part (external perturber) of the disturbing \
function up to and including degree 'pw' which start with \!\(\*SubscriptBox[\
\(c\), \(1\)]\)\[Lambda]'+\!\(\*SubscriptBox[\(c\), \(2\)]\)\[Lambda].  The \
components of each argument, {\!\(\*SubscriptBox[\(c\), \
\(1\)]\),\!\(\*SubscriptBox[\(c\), \(2\)]\),\!\(\*SubscriptBox[\(c\), \
\(3\)]\),\!\(\*SubscriptBox[\(c\), \(4\)]\),\!\(\*SubscriptBox[\(c\), \
\(5\)]\),\!\(\*SubscriptBox[\(c\), \(6\)]\)}, represent the argument \
\!\(\*SubscriptBox[\(c\), \(1\)]\)\[Lambda]'+\!\(\*SubscriptBox[\(c\), \(2\)]\
\)\[Lambda]+\!\(\*SubscriptBox[\(c\), \(3\)]\)\[CurlyPi]'+\!\(\*SubscriptBox[\
\(c\), \(4\)]\)\[CurlyPi]+\!\(\*SubscriptBox[\(c\), \(5\)]\)\[CapitalOmega]'+\
\!\(\*SubscriptBox[\(c\), \(6\)]\)\[CapitalOmega].  \!\(\*SubscriptBox[\(c\), \
\(1\)]\) and \!\(\*SubscriptBox[\(c\), \(2\)]\) are integers of the form, \
e.g. j and i-j, where i, the order of the resonance, is an integer.\>\""}]], \
"Input",
 InitializationCell->
  True,ExpressionUUID->"fe2d5da7-0a07-4c91-99aa-63f49ef0001f"],

Cell[BoxData[
 RowBox[{
  RowBox[{"ValidArgumentsI", "::", "usage"}], "=", 
  "\"\<ValidArgumentsI[\!\(\*SubscriptBox[\(c\), \(1\)]\),\!\(\*SubscriptBox[\
\(c\), \(2\)]\),pw] produces an ordered list of valid arguments of the \
expansion of the indirect part(internal perturber) of the disturbing function \
up to and including degree 'pw' which start with \!\(\*SubscriptBox[\(c\), \
\(1\)]\)\[Lambda]'+\!\(\*SubscriptBox[\(c\), \(2\)]\)\[Lambda].  The \
components of each argument, {\!\(\*SubscriptBox[\(c\), \
\(1\)]\),\!\(\*SubscriptBox[\(c\), \(2\)]\),\!\(\*SubscriptBox[\(c\), \
\(3\)]\),\!\(\*SubscriptBox[\(c\), \(4\)]\),\!\(\*SubscriptBox[\(c\), \
\(5\)]\),\!\(\*SubscriptBox[\(c\), \(6\)]\)}, represent the argument \
\!\(\*SubscriptBox[\(c\), \(1\)]\)\[Lambda]'+\!\(\*SubscriptBox[\(c\), \(2\)]\
\)\[Lambda]+\!\(\*SubscriptBox[\(c\), \(3\)]\)\[CurlyPi]'+\!\(\*SubscriptBox[\
\(c\), \(4\)]\)\[CurlyPi]+\!\(\*SubscriptBox[\(c\), \(5\)]\)\[CapitalOmega]'+\
\!\(\*SubscriptBox[\(c\), \(6\)]\)\[CapitalOmega].  \!\(\*SubscriptBox[\(c\), \
\(1\)]\) and \!\(\*SubscriptBox[\(c\), \(2\)]\) are integers of the form, \
e.g. j and i-j, where i, the order of the resonance, is an integer.\>\""}]], \
"Input",
 InitializationCell->
  True,ExpressionUUID->"d4f962cd-e69d-4143-a769-19e9fcabbd2e"],

Cell[BoxData[
 RowBox[{
  RowBox[{"IndirectTestE", "::", "usage"}], "=", 
  "\"\<IndirectTestE[{\!\(\*SubscriptBox[\(c\), \
\(1\)]\),\!\(\*SubscriptBox[\(c\), \(2\)]\),\!\(\*SubscriptBox[\(c\), \
\(3\)]\),\!\(\*SubscriptBox[\(c\), \(4\)]\),\!\(\*SubscriptBox[\(c\), \
\(5\)]\),\!\(\*SubscriptBox[\(c\), \(6\)]\)}] tests whether or not the \
argument \!\(\*SubscriptBox[\(c\), \
\(1\)]\)\[Lambda]'+\!\(\*SubscriptBox[\(c\), \
\(2\)]\)\[Lambda]+\!\(\*SubscriptBox[\(c\), \
\(3\)]\)\[CurlyPi]'+\!\(\*SubscriptBox[\(c\), \
\(4\)]\)\[CurlyPi]+\!\(\*SubscriptBox[\(c\), \
\(5\)]\)\[CapitalOmega]'+\!\(\*SubscriptBox[\(c\), \(6\)]\)\[CapitalOmega] is \
a valid argument of the expansion of the indirect part (external perturber) \
of the expansion of the disturbing function.  All the \
\!\(\*SubscriptBox[\(c\), \(i\)]\)'s must be explicit integers.\>\""}]], \
"Input",
 InitializationCell->
  True,ExpressionUUID->"d4fb550a-ee1c-43da-8cb2-cead4139f1a2"],

Cell[BoxData[
 RowBox[{
  RowBox[{"IndirectTestI", "::", "usage"}], "=", 
  "\"\<IndirectTestI[{\!\(\*SubscriptBox[\(c\), \
\(1\)]\),\!\(\*SubscriptBox[\(c\), \(2\)]\),\!\(\*SubscriptBox[\(c\), \
\(3\)]\),\!\(\*SubscriptBox[\(c\), \(4\)]\),\!\(\*SubscriptBox[\(c\), \
\(5\)]\),\!\(\*SubscriptBox[\(c\), \(6\)]\)}] tests whether or not the \
argument \!\(\*SubscriptBox[\(c\), \
\(1\)]\)\[Lambda]'+\!\(\*SubscriptBox[\(c\), \
\(2\)]\)\[Lambda]+\!\(\*SubscriptBox[\(c\), \
\(3\)]\)\[CurlyPi]'+\!\(\*SubscriptBox[\(c\), \
\(4\)]\)\[CurlyPi]+\!\(\*SubscriptBox[\(c\), \
\(5\)]\)\[CapitalOmega]'+\!\(\*SubscriptBox[\(c\), \(6\)]\)\[CapitalOmega] is \
a valid argument of the expansion of the indirect part (internal perturber) \
of the expansion of the disturbing function.  All the \
\!\(\*SubscriptBox[\(c\), \(i\)]\)'s must be explicit integers.\>\""}]], \
"Input",
 InitializationCell->
  True,ExpressionUUID->"a88df0c2-5944-48d1-87f8-7386abd97997"],

Cell[BoxData[
 RowBox[{
  RowBox[{"FlmpAllan", "::", "usage"}], "=", 
  "\"\<FlmpAllan[l,m,p,inc,pw] gives the series expansion of Allan's F(l,m,p) \
inclination function up to and including powers of pw in inc.\>\""}]], "Input",\

 InitializationCell->
  True,ExpressionUUID->"8f71218d-f3f2-48c9-a0d0-ba5e07583150"],

Cell[BoxData[
 RowBox[{
  RowBox[{"FlmpKaula", "::", "usage"}], "=", 
  "\"\<FlmpKaula[l,m,p,inc,pw] gives the series expansion of Kaula's F(l,m,p) \
inclination function up to and including powers of pw in inc.\>\""}]], "Input",\

 InitializationCell->
  True,ExpressionUUID->"3b8a3714-141a-4873-8b38-7d85a1b5412b"],

Cell[BoxData[
 RowBox[{
  RowBox[{"Newcomb", "::", "usage"}], "=", 
  "\"\<Newcomb[a,b,c,d] returns the Newcomb operator, usually denoted by \
X(a,b,c,d) which is a coefficient in the Hansen series expansion in the \
eccentricity.\>\""}]], "Input",
 InitializationCell->
  True,ExpressionUUID->"b927a343-04e3-4aff-a4f9-502877569333"],

Cell[BoxData[
 RowBox[{
  RowBox[{"Hansen", "::", "usage"}], "=", 
  "\"\<Hansen[a,b,c,ecc,pw] gives the series for the Hansen coefficient \
X(a,b,c) eccentricity function up to powers of pw in ecc.  The coefficient of \
each term in the series is the Newcomb operator, X(a,b,c,d).\>\""}]], "Input",\

 InitializationCell->
  True,ExpressionUUID->"ecdc40e1-2d69-4144-9224-ca93247c0d9f"],

Cell[BoxData[
 RowBox[{
  RowBox[{"LaplaceSeries", "::", "usage"}], "=", 
  "\"\<LaplaceSeries[s,j,a,n,pw] gives the nth derivative of the Laplace \
coefficient b(s,j)(a) as a series in a up to and including terms of order pw. \
 s is a half-integer (e.g. 1/2, 3/2); j, n and pw are integers.\>\""}]], \
"Input",
 InitializationCell->
  True,ExpressionUUID->"ebc02bd6-7699-414b-8331-85675d4a97d2"],

Cell[BoxData[
 RowBox[{
  RowBox[{"LaplaceCoefficient", "::", "usage"}], "=", 
  "\"\<LaplaceCoefficient[s,j,a,n] gives the nth derivative of the Laplace \
coefficient b(s,j)(a) as a numerical value. s is a half-integer (e.g. 1/2, \
3/2); j, n are integers.\>\""}]], "Input",
 InitializationCell->
  True,ExpressionUUID->"83b6b62f-cf10-4b09-b396-ef04c8edccd8"],

Cell[BoxData[
 RowBox[{
  RowBox[{"SMultiply", "::", "usage"}], "=", 
  "\"\<SMultiply[s1,s2,max] multiplies s1 by s2 truncating powers of e, e', \
s, s' to order max.\>\""}]], "Input",
 InitializationCell->
  True,ExpressionUUID->"902e6156-a9aa-4107-99b5-0fc327752ede"],

Cell[BoxData[
 RowBox[{
  RowBox[{"EllisKaulaD", "::", "usage"}], "=", 
  "\"\<EllisKaulaD[argument,pmax] finds the main coefficient of the direct \
part of the disturbing function which contains the cosine of argument \
explicitly.\>\""}]], "Input",
 InitializationCell->
  True,ExpressionUUID->"bb219e98-e90a-43f5-b165-b9ddbc144ca5"],

Cell[BoxData[
 RowBox[{
  RowBox[{"EllisKaulaE", "::", "usage"}], "=", 
  "\"\<EllisKaulaE[argument,pmax] finds the main coefficient of the indirect \
part of the disturbing function (for an external perturber) which contains \
the cosine of argument explicitly.\>\""}]], "Input",
 InitializationCell->
  True,ExpressionUUID->"8cc2994e-b159-4c19-82c1-7e6a71988261"],

Cell[BoxData[
 RowBox[{
  RowBox[{"EllisKaulaI", "::", "usage"}], "=", 
  "\"\<EllisKaulaI[argument,pmax] finds the main coefficient of the indirect \
part of the disturbing function (for an internal perturber) which contains \
the cosine of argument explicitly.\>\""}]], "Input",
 InitializationCell->
  True,ExpressionUUID->"7a4e0c39-40a4-4a97-bd6e-d5ae604357fb"],

Cell[BoxData[
 RowBox[{
  RowBox[{"DirectPart", "::", "usage"}], "=", 
  "\"\<DirectPart[argument,pmax] finds the main coefficient of the direct \
part of the disturbing function which contains the cosine of argument, or its \
negative.\>\""}]], "Input",
 InitializationCell->
  True,ExpressionUUID->"571e16f0-91e4-497a-b1db-ce69aaa9dde8"],

Cell[BoxData[
 RowBox[{
  RowBox[{"IndirectPartE", "::", "usage"}], "=", 
  "\"\<IndirectPartE[argument,pmax] finds the main coefficient of the \
indirect part of the disturbing function which contains the cosine of \
argument, or its negative, for an external perturber.\>\""}]], "Input",
 InitializationCell->
  True,ExpressionUUID->"d2b243c6-bd4a-4ff7-9ff9-86844901fa43"],

Cell[BoxData[
 RowBox[{
  RowBox[{"IndirectPartI", "::", "usage"}], "=", 
  "\"\<IndirectPartI[argument,pmax] finds the main coefficient of the \
indirect part of the disturbing function which contains the cosine of \
argument, or its negative, for an internal perturber.\>\""}]], "Input",
 InitializationCell->
  True,ExpressionUUID->"fd45fe96-9edb-4a80-9004-e18895d9340c"],

Cell[BoxData[
 RowBox[{
  RowBox[{"DisturbingFunctionE", "::", "usage"}], "=", 
  "\"\<DisturbingFunctionE[argument,pmax] finds the full coefficient of the \
disturbing function (direct and indirect parts) which contains the cosine of \
argument for an external perturber.\>\""}]], "Input",
 InitializationCell->
  True,ExpressionUUID->"8d4d27e5-a458-44a4-b837-47b396e2aee8"],

Cell[BoxData[
 RowBox[{
  RowBox[{"DisturbingFunctionI", "::", "usage"}], "=", 
  "\"\<DisturbingFunctionI[argument,pmax] finds the full coefficient of the \
disturbing function (direct and indirect parts) which contains the cosine of \
argument for an internal perturber.\>\""}]], "Input",
 InitializationCell->
  True,ExpressionUUID->"5c3b1f64-43ee-4fd6-8f5f-5855f1e2de15"],

Cell[BoxData[
 RowBox[{
  RowBox[{"BigRE", "::", "usage"}], "=", 
  "\"\<BigRE[\!\(\*SubscriptBox[\(c\), \(1\)]\),\!\(\*SubscriptBox[\(c\), \(2\
\)]\),pw] finds the expansion of the disturbing function for an external \
perturber when the basic form of the argument is \!\(\*SubscriptBox[\(c\), \
\(1\)]\)\[Lambda]'+\!\(\*SubscriptBox[\(c\), \(2\)]\)\[Lambda]+ ... .  The \
result will include the secular terms (i.e. those independent of lamda' and \
lamda), and those resonant terms associated with \!\(\*SubscriptBox[\(c\), \
\(1\)]\)\[Lambda]'+\!\(\*SubscriptBox[\(c\), \(2\)]\)\[Lambda] + ... and \
integer multiples of the argument up to and including terms which are of \
degree \[LessEqual] pw in the eccentricities and inclinations.\>\""}]], \
"Input",
 InitializationCell->
  True,ExpressionUUID->"d8afe6c6-f0f4-4aac-bacd-9419ad016bc1"],

Cell[BoxData[
 RowBox[{
  RowBox[{"NBigRE", "::", "usage"}], "=", 
  "\"\<NBigRE[\!\(\*SubscriptBox[\(c\), \(1\)]\),\!\(\*SubscriptBox[\(c\), \
\(2\)]\),pw,\[Alpha]] finds the expansion of the disturbing\n\tfunction for \
an external perturber when the basic form of the\n\targument is \
\!\(\*SubscriptBox[\(c\), \(1\)]\)\[Lambda]'+\!\(\*SubscriptBox[\(c\), \(2\)]\
\)\[Lambda]+ ... and calculates the numerical\n\tvalues of the Laplace \
coefficients taking a/a' = \[Alpha].\>\""}]], "Input",
 InitializationCell->
  True,ExpressionUUID->"ed5815a6-1008-4a8a-a290-8584bd49bf8f"],

Cell[BoxData[
 RowBox[{
  RowBox[{"BigRI", "::", "usage"}], "=", 
  "\"\<BigRI[\!\(\*SubscriptBox[\(c\), \(1\)]\),\!\(\*SubscriptBox[\(c\), \(2\
\)]\),pw] finds the expansion of the disturbing function for an internal \
perturber when the basic form of the argument is \!\(\*SubscriptBox[\(c\), \
\(1\)]\)\[Lambda]'+\!\(\*SubscriptBox[\(c\), \(2\)]\)\[Lambda]+ ... .  The \
result will include the secular terms (i.e. those independent of lamda' and \
lamda), and those resonant terms associated with \!\(\*SubscriptBox[\(c\), \
\(1\)]\)\[Lambda]'+\!\(\*SubscriptBox[\(c\), \(2\)]\)\[Lambda]+ ... and \
integer multiples of the argument up to and including terms which are of \
degree \[LessEqual] pw in the eccentricities and inclinations.\>\""}]], \
"Input",
 InitializationCell->
  True,ExpressionUUID->"1fc8107d-51ac-4411-8bc7-8e7b877fda4f"],

Cell[BoxData[
 RowBox[{
  RowBox[{"NBigRI", "::", "usage"}], "=", 
  "\"\<NBigRI[\!\(\*SubscriptBox[\(c\), \(1\)]\),\!\(\*SubscriptBox[\(c\), \
\(2\)]\),pw,\[Alpha]] finds the expansion of the disturbing\n\tfunction for \
an internal perturber when the basic form of the\n\targument is \
\!\(\*SubscriptBox[\(c\), \(1\)]\)\[Lambda]'+\!\(\*SubscriptBox[\(c\), \(2\)]\
\)\[Lambda]+ ... and calculates the numerical\n\tvalues of the Laplace \
coefficients taking a/a' = \[Alpha].\>\""}]], "Input",
 InitializationCell->
  True,ExpressionUUID->"68f00a80-94ac-4269-91e6-8927f3b01dc6"],

Cell[BoxData[
 RowBox[{
  RowBox[{"Global`b", "/:", 
   RowBox[{"Global`b", "[", 
    RowBox[{"sss_", ",", "jjj_", ",", "nd_"}], "]"}], ":=", 
   RowBox[{
    RowBox[{"Global`b", "[", 
     RowBox[{"sss", ",", 
      RowBox[{"-", "jjj"}], ",", "nd"}], "]"}], "/;", 
    RowBox[{"jjj", "<", "0"}]}]}], ";"}]], "Input",
 InitializationCell->
  True,ExpressionUUID->"90d2e5af-382c-4ffb-9718-a03f9bdd9f70"],

Cell[BoxData[
 RowBox[{"Begin", "[", "\"\<`Private`\>\"", "]"}]], "Input",
 InitializationCell->
  True,ExpressionUUID->"bd8b079e-c537-4533-9c55-1f713b3a383a"],

Cell[BoxData[
 RowBox[{
  RowBox[{"ValidArguments", "[", 
   RowBox[{"c1_", ",", "c2_", ",", "n_Integer"}], "]"}], ":=", 
  RowBox[{"Module", "[", 
   RowBox[{
    RowBox[{"{", 
     RowBox[{"absarglist", ",", "arglist", ",", "degree", ",", "temparg", ",", 
      RowBox[{"order", "=", 
       RowBox[{"Abs", "[", 
        RowBox[{"c1", "+", "c2"}], "]"}]}], ",", 
      RowBox[{"ac1", "=", "c1"}], ",", 
      RowBox[{"ac2", "=", "c2"}], ",", "ii", ",", "jj", ",", "kk", ",", "ll", 
      ",", "var"}], "}"}], ",", 
    RowBox[{
     RowBox[{"arglist", "=", 
      RowBox[{"Flatten", "[", 
       RowBox[{
        RowBox[{"Table", "[", 
         RowBox[{
          RowBox[{"{", 
           RowBox[{"kk", ",", "ll", ",", "ii", ",", "jj"}], "}"}], ",", 
          RowBox[{"{", 
           RowBox[{"ii", ",", 
            RowBox[{"If", "[", 
             RowBox[{
              RowBox[{"order", "\[Equal]", "0"}], ",", "0", ",", 
              RowBox[{"-", "n"}]}], "]"}], ",", "n"}], "}"}], ",", 
          RowBox[{"{", 
           RowBox[{"jj", ",", 
            RowBox[{"If", "[", 
             RowBox[{
              RowBox[{
               RowBox[{"order", "\[Equal]", "0"}], "&&", 
               RowBox[{"ii", "\[Equal]", "0"}]}], ",", "0", ",", 
              RowBox[{
               RowBox[{"-", "n"}], "+", 
               RowBox[{"Abs", "[", "ii", "]"}]}]}], "]"}], ",", 
            RowBox[{"n", "-", 
             RowBox[{"Abs", "[", "ii", "]"}]}]}], "}"}], ",", 
          RowBox[{"{", 
           RowBox[{"kk", ",", 
            RowBox[{"If", "[", 
             RowBox[{
              RowBox[{
               RowBox[{"order", "\[Equal]", "0"}], "&&", 
               RowBox[{"ii", "\[Equal]", "0"}], "&&", 
               RowBox[{"jj", "\[Equal]", "0"}]}], ",", "0", ",", 
              RowBox[{
               RowBox[{"-", "n"}], "+", 
               RowBox[{"Abs", "[", "ii", "]"}], "+", 
               RowBox[{"Abs", "[", "jj", "]"}]}]}], "]"}], ",", 
            RowBox[{"n", "-", 
             RowBox[{"Abs", "[", "ii", "]"}], "-", 
             RowBox[{"Abs", "[", "jj", "]"}]}]}], "}"}], ",", 
          RowBox[{"{", 
           RowBox[{"ll", ",", 
            RowBox[{"If", "[", 
             RowBox[{
              RowBox[{
               RowBox[{"order", "\[Equal]", "0"}], "&&", 
               RowBox[{"ii", "\[Equal]", "0"}], "&&", 
               RowBox[{"jj", "\[Equal]", "0"}], "&&", 
               RowBox[{"kk", "\[Equal]", "0"}]}], ",", "0", ",", 
              RowBox[{
               RowBox[{"-", "n"}], "+", 
               RowBox[{"Abs", "[", "ii", "]"}], "+", 
               RowBox[{"Abs", "[", "jj", "]"}], "+", 
               RowBox[{"Abs", "[", "kk", "]"}]}]}], "]"}], ",", 
            RowBox[{"n", "-", 
             RowBox[{"Abs", "[", "ii", "]"}], "-", 
             RowBox[{"Abs", "[", "jj", "]"}], "-", 
             RowBox[{"Abs", "[", "kk", "]"}]}]}], "}"}]}], "]"}], ",", "3"}], 
       "]"}]}], ";", "\[IndentingNewLine]", 
     RowBox[{"arglist", "=", 
      RowBox[{"Select", "[", 
       RowBox[{"arglist", ",", 
        RowBox[{
         RowBox[{"(", 
          RowBox[{
           RowBox[{"order", "+", 
            RowBox[{"Apply", "[", 
             RowBox[{"Plus", ",", "#"}], "]"}]}], "\[Equal]", "0"}], ")"}], 
         "&"}]}], "]"}]}], ";", "\[IndentingNewLine]", 
     RowBox[{"arglist", "=", 
      RowBox[{"Select", "[", 
       RowBox[{"arglist", ",", 
        RowBox[{
         RowBox[{"EvenQ", "[", 
          RowBox[{"Abs", "[", 
           RowBox[{
            RowBox[{"#", "[", 
             RowBox[{"[", "1", "]"}], "]"}], "+", 
            RowBox[{"#", "[", 
             RowBox[{"[", "2", "]"}], "]"}]}], "]"}], "]"}], "&"}]}], "]"}]}],
      ";", "\[IndentingNewLine]", 
     RowBox[{"absarglist", "=", 
      RowBox[{"Map", "[", 
       RowBox[{"Abs", ",", "arglist"}], "]"}]}], ";", "\[IndentingNewLine]", 
     RowBox[{"temparg", "=", 
      RowBox[{"arglist", "/.", 
       RowBox[{
        RowBox[{"{", 
         RowBox[{"x1_", ",", "x2_", ",", "x3_", ",", "x4_"}], "}"}], 
        "\[RuleDelayed]", 
        RowBox[{"{", 
         RowBox[{"x3", ",", "x4", ",", "x1", ",", "x2"}], "}"}]}]}]}], ";", 
     "\[IndentingNewLine]", 
     RowBox[{"degree", "=", 
      RowBox[{"Apply", "[", 
       RowBox[{"Plus", ",", "absarglist", ",", "1"}], "]"}]}], ";", 
     "\[IndentingNewLine]", 
     RowBox[{"arglist", "=", 
      RowBox[{"Prepend", "[", 
       RowBox[{
        RowBox[{"Transpose", "[", "arglist", "]"}], ",", "temparg"}], "]"}]}],
      ";", "\[IndentingNewLine]", 
     RowBox[{"arglist", "=", 
      RowBox[{"Prepend", "[", 
       RowBox[{"arglist", ",", "absarglist"}], "]"}]}], ";", 
     "\[IndentingNewLine]", 
     RowBox[{"arglist", "=", 
      RowBox[{"Sort", "[", 
       RowBox[{"Transpose", "[", 
        RowBox[{"Prepend", "[", 
         RowBox[{"arglist", ",", "degree"}], "]"}], "]"}], "]"}]}], ";", 
     "\[IndentingNewLine]", 
     RowBox[{"var", "=", 
      RowBox[{"Variables", "[", 
       RowBox[{"{", 
        RowBox[{"c1", ",", "c2"}], "}"}], "]"}]}], ";", "\[IndentingNewLine]", 
     RowBox[{"If", "[", 
      RowBox[{
       RowBox[{"var", "=!=", 
        RowBox[{"{", "}"}]}], ",", 
       RowBox[{"If", "[", 
        RowBox[{
         RowBox[{
          RowBox[{"Coefficient", "[", 
           RowBox[{"c1", ",", 
            RowBox[{"var", "[", 
             RowBox[{"[", "1", "]"}], "]"}], ",", "1"}], "]"}], "\[Equal]", 
          RowBox[{"-", "1"}]}], ",", 
         RowBox[{
          RowBox[{"ac1", "=", 
           RowBox[{"-", "c1"}]}], ";", " ", 
          RowBox[{"ac2", "=", 
           RowBox[{"-", "c2"}]}]}]}], "]"}], ",", 
       RowBox[{"If", "[", 
        RowBox[{
         RowBox[{"c1", "<", "0"}], ",", 
         RowBox[{
          RowBox[{"ac1", "=", 
           RowBox[{"-", "c1"}]}], ";", " ", 
          RowBox[{"ac2", "=", 
           RowBox[{"-", "c2"}]}]}]}], "]"}]}], "]"}], ";", 
     "\[IndentingNewLine]", 
     RowBox[{"If", "[", 
      RowBox[{
       RowBox[{
        RowBox[{"Length", "[", "arglist", "]"}], "=!=", "0"}], ",", 
       RowBox[{
        RowBox[{"Transpose", "[", 
         RowBox[{"Drop", "[", 
          RowBox[{
           RowBox[{"Transpose", "[", "arglist", "]"}], ",", "3"}], "]"}], 
         "]"}], "/.", 
        RowBox[{
         RowBox[{"{", 
          RowBox[{"x1_", ",", "x2_", ",", "x3_", ",", "x4_"}], "}"}], 
         "\[RuleDelayed]", 
         RowBox[{"{", 
          RowBox[{
          "ac1", ",", "ac2", ",", "x3", ",", "x4", ",", "x1", ",", "x2"}], 
          "}"}]}]}], ",", "arglist"}], "]"}]}]}], "]"}]}]], "Input",
 InitializationCell->
  True,ExpressionUUID->"aee3f8be-fc07-4dfa-a351-13195e76fdf0"],

Cell[BoxData[
 RowBox[{
  RowBox[{"IndirectTestE", "[", 
   RowBox[{"{", 
    RowBox[{
    "clamdap_", ",", "clamda_", ",", "clpp_Integer", ",", "clp_Integer", ",", 
     "clanp_Integer", ",", "clan_Integer"}], "}"}], "]"}], ":=", 
  RowBox[{"Module", "[", 
   RowBox[{
    RowBox[{"{", 
     RowBox[{
      RowBox[{"qp", "=", 
       RowBox[{"-", "clpp"}]}], ",", 
      RowBox[{"q", "=", "clp"}], ",", 
      RowBox[{"m1pp", "=", "clanp"}], ",", 
      RowBox[{"pq1p", "=", 
       RowBox[{"clamdap", "-", "1"}]}], ",", 
      RowBox[{"pq1", "=", 
       RowBox[{
        RowBox[{"-", "clamda"}], "-", "1"}]}], ",", "p", ",", "pp", ",", 
      "m"}], "}"}], ",", 
    RowBox[{
     RowBox[{"pp", "=", 
      RowBox[{
       RowBox[{"-", 
        RowBox[{"(", 
         RowBox[{"pq1p", "-", "qp"}], ")"}]}], "/", "2"}]}], ";", 
     "\[IndentingNewLine]", 
     RowBox[{"p", "=", 
      RowBox[{
       RowBox[{"-", 
        RowBox[{"(", 
         RowBox[{"pq1", "-", "q"}], ")"}]}], "/", "2"}]}], ";", 
     "\[IndentingNewLine]", 
     RowBox[{"m", "=", 
      RowBox[{"m1pp", "-", 
       RowBox[{"2", "*", "pp"}], "+", "1"}]}], ";", "\[IndentingNewLine]", 
     RowBox[{"If", "[", 
      RowBox[{
       RowBox[{
        RowBox[{"p", "\[LessEqual]", "1"}], "&&", 
        RowBox[{"p", "\[GreaterEqual]", "0"}], "&&", 
        RowBox[{"pp", "\[LessEqual]", "1"}], "&&", 
        RowBox[{"pp", "\[GreaterEqual]", "0"}], "&&", 
        RowBox[{"m", "\[LessEqual]", "1"}], "&&", 
        RowBox[{"m", "\[GreaterEqual]", "0"}], "&&", 
        RowBox[{"clamdap", "=!=", "0"}], "&&", 
        RowBox[{
         RowBox[{"IntegerQ", "[", "p", "]"}], "\[Equal]", "True"}], "&&", 
        RowBox[{
         RowBox[{"IntegerQ", "[", "pp", "]"}], "\[Equal]", "True"}]}], ",", 
       "True", ",", "False"}], "]"}]}]}], "]"}]}]], "Input",
 InitializationCell->
  True,ExpressionUUID->"578d5f1b-54fa-43de-90c1-55544b3b30b6"],

Cell[BoxData[
 RowBox[{
  RowBox[{"ValidArgumentsE", "[", 
   RowBox[{"c1_", ",", "c2_", ",", "pmax_Integer"}], "]"}], ":=", 
  RowBox[{"Module", "[", 
   RowBox[{
    RowBox[{"{", 
     RowBox[{"valist", ",", "valen", ",", 
      RowBox[{"arglist", "=", 
       RowBox[{"{", "}"}]}], ",", "temp", ",", "inonzero", ",", "argument1", 
      ",", "argument2", ",", "var", ",", "novar"}], "}"}], ",", 
    RowBox[{
     RowBox[{"var", "=", 
      RowBox[{"Variables", "[", 
       RowBox[{"{", 
        RowBox[{"c1", ",", "c2"}], "}"}], "]"}]}], ";", "\[IndentingNewLine]", 
     RowBox[{"novar", "=", 
      RowBox[{"If", "[", 
       RowBox[{
        RowBox[{"var", "\[Equal]", 
         RowBox[{"{", "}"}]}], ",", "True", ",", "False"}], "]"}]}], ";", 
     "\[IndentingNewLine]", 
     RowBox[{"valist", "=", 
      RowBox[{"ValidArguments", "[", 
       RowBox[{"c1", ",", "c2", ",", "pmax"}], "]"}]}], ";", 
     "\[IndentingNewLine]", 
     RowBox[{"valen", "=", 
      RowBox[{"Length", "[", "valist", "]"}]}], ";", "\[IndentingNewLine]", 
     RowBox[{"Do", "[", 
      RowBox[{
       RowBox[{
        RowBox[{"temp", "=", 
         RowBox[{"{", "}"}]}], ";", "\[IndentingNewLine]", 
        RowBox[{"If", "[", 
         RowBox[{
          RowBox[{
           RowBox[{"i", "\[Equal]", "0"}], "||", "novar"}], ",", 
          RowBox[{"inonzero", "=", "False"}], ",", 
          RowBox[{"inonzero", "=", "True"}]}], "]"}], ";", 
        "\[IndentingNewLine]", 
        RowBox[{"argument1", "=", 
         RowBox[{"valist", "[", 
          RowBox[{"[", "k", "]"}], "]"}]}], ";", "\[IndentingNewLine]", 
        RowBox[{"If", "[", 
         RowBox[{
          RowBox[{"!", "novar"}], ",", 
          RowBox[{"argument1", "=", 
           RowBox[{"argument1", "/.", 
            RowBox[{
             RowBox[{"var", "[", 
              RowBox[{"[", "1", "]"}], "]"}], "\[Rule]", "i"}]}]}]}], "]"}], 
        ";", " ", 
        RowBox[{"If", "[", 
         RowBox[{"inonzero", ",", 
          RowBox[{"argument2", "=", 
           RowBox[{"-", 
            RowBox[{"valist", "[", 
             RowBox[{"[", "k", "]"}], "]"}]}]}]}], "]"}], ";", 
        "\[IndentingNewLine]", 
        RowBox[{"If", "[", 
         RowBox[{
          RowBox[{"!", "novar"}], ",", 
          RowBox[{"argument2", "=", 
           RowBox[{"argument2", "/.", 
            RowBox[{
             RowBox[{"var", "[", 
              RowBox[{"[", "1", "]"}], "]"}], "\[Rule]", 
             RowBox[{"-", "i"}]}]}]}]}], "]"}], ";", "\[IndentingNewLine]", 
        RowBox[{"If", "[", 
         RowBox[{
          RowBox[{
           RowBox[{"IndirectTestE", "[", "argument1", "]"}], "||", 
           RowBox[{"IndirectTestE", "[", 
            RowBox[{"-", "argument1"}], "]"}]}], ",", 
          RowBox[{"AppendTo", "[", 
           RowBox[{"temp", ",", "argument1"}], "]"}]}], "]"}], ";", 
        "\[IndentingNewLine]", 
        RowBox[{"If", "[", 
         RowBox[{"inonzero", ",", 
          RowBox[{"If", "[", 
           RowBox[{
            RowBox[{
             RowBox[{"IndirectTestE", "[", "argument2", "]"}], "||", 
             RowBox[{"IndirectTestE", "[", 
              RowBox[{"-", "argument2"}], "]"}]}], ",", 
            RowBox[{"AppendTo", "[", 
             RowBox[{"temp", ",", "argument2"}], "]"}]}], "]"}]}], "]"}], ";",
         "\[IndentingNewLine]", 
        RowBox[{"temp", "=", 
         RowBox[{"Union", "[", "temp", "]"}]}], ";", "\[IndentingNewLine]", 
        RowBox[{"arglist", "=", 
         RowBox[{"Join", "[", 
          RowBox[{"arglist", ",", "temp"}], "]"}]}]}], ",", 
       RowBox[{"{", 
        RowBox[{"k", ",", "1", ",", "valen"}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"i", ",", "1", ",", 
         RowBox[{
          RowBox[{"Floor", "[", 
           RowBox[{
            RowBox[{"(", 
             RowBox[{"pmax", "+", 
              RowBox[{"Abs", "[", 
               RowBox[{"c1", "+", "c2"}], "]"}]}], ")"}], "/", "2"}], "]"}], 
          "+", "1"}]}], "}"}]}], "]"}], ";", "\[IndentingNewLine]", 
     RowBox[{"If", "[", 
      RowBox[{"novar", ",", 
       RowBox[{"Union", "[", "arglist", "]"}], ",", "arglist"}], "]"}]}]}], 
   "]"}]}]], "Input",
 InitializationCell->
  True,ExpressionUUID->"c387b070-f5f2-4d86-9e91-6ac4ec422fa4"],

Cell[BoxData[
 RowBox[{
  RowBox[{"IndirectTestI", "[", 
   RowBox[{"{", 
    RowBox[{
    "clamdap_", ",", "clamda_", ",", "clpp_Integer", ",", "clp_Integer", ",", 
     "clanp_Integer", ",", "clan_Integer"}], "}"}], "]"}], ":=", 
  RowBox[{"Module", "[", 
   RowBox[{
    RowBox[{"{", 
     RowBox[{
      RowBox[{"qp", "=", 
       RowBox[{"-", "clpp"}]}], ",", 
      RowBox[{"q", "=", "clp"}], ",", 
      RowBox[{"m1pp", "=", "clanp"}], ",", 
      RowBox[{"pq1p", "=", 
       RowBox[{"clamdap", "-", "1"}]}], ",", 
      RowBox[{"pq1", "=", 
       RowBox[{
        RowBox[{"-", "clamda"}], "-", "1"}]}], ",", "p", ",", "pp", ",", 
      "m"}], "}"}], ",", 
    RowBox[{
     RowBox[{"pp", "=", 
      RowBox[{
       RowBox[{"-", 
        RowBox[{"(", 
         RowBox[{"pq1p", "-", "qp"}], ")"}]}], "/", "2"}]}], ";", 
     "\[IndentingNewLine]", 
     RowBox[{"p", "=", 
      RowBox[{
       RowBox[{"-", 
        RowBox[{"(", 
         RowBox[{"pq1", "-", "q"}], ")"}]}], "/", "2"}]}], ";", 
     "\[IndentingNewLine]", 
     RowBox[{"m", "=", 
      RowBox[{"m1pp", "-", 
       RowBox[{"2", "*", "pp"}], "+", "1"}]}], ";", "\[IndentingNewLine]", 
     RowBox[{"If", "[", 
      RowBox[{
       RowBox[{
        RowBox[{"p", "\[LessEqual]", "1"}], "&&", 
        RowBox[{"p", "\[GreaterEqual]", "0"}], "&&", 
        RowBox[{"pp", "\[LessEqual]", "1"}], "&&", 
        RowBox[{"pp", "\[GreaterEqual]", "0"}], "&&", 
        RowBox[{"m", "\[LessEqual]", "1"}], "&&", 
        RowBox[{"m", "\[GreaterEqual]", "0"}], "&&", 
        RowBox[{"clamda", "=!=", "0"}], "&&", 
        RowBox[{
         RowBox[{"IntegerQ", "[", "p", "]"}], "\[Equal]", "True"}], "&&", 
        RowBox[{
         RowBox[{"IntegerQ", "[", "pp", "]"}], "\[Equal]", "True"}]}], ",", 
       "True", ",", "False"}], "]"}]}]}], "]"}]}]], "Input",
 InitializationCell->
  True,ExpressionUUID->"905aa58b-16c8-4c99-9f44-e178fb7a7206"],

Cell[BoxData[
 RowBox[{
  RowBox[{"ValidArgumentsI", "[", 
   RowBox[{"c1_", ",", "c2_", ",", "pmax_Integer"}], "]"}], ":=", 
  RowBox[{"Module", "[", 
   RowBox[{
    RowBox[{"{", 
     RowBox[{"valist", ",", "valen", ",", 
      RowBox[{"arglist", "=", 
       RowBox[{"{", "}"}]}], ",", "temp", ",", "inonzero", ",", "argument1", 
      ",", "argument2", ",", "var", ",", "novar"}], "}"}], ",", 
    RowBox[{
     RowBox[{"var", "=", 
      RowBox[{"Variables", "[", 
       RowBox[{"{", 
        RowBox[{"c1", ",", "c2"}], "}"}], "]"}]}], ";", "\[IndentingNewLine]", 
     RowBox[{"novar", "=", 
      RowBox[{"If", "[", 
       RowBox[{
        RowBox[{"var", "\[Equal]", 
         RowBox[{"{", "}"}]}], ",", "True", ",", "False"}], "]"}]}], ";", 
     "\[IndentingNewLine]", 
     RowBox[{"valist", "=", 
      RowBox[{"ValidArguments", "[", 
       RowBox[{"c1", ",", "c2", ",", "pmax"}], "]"}]}], ";", 
     "\[IndentingNewLine]", 
     RowBox[{"valen", "=", 
      RowBox[{"Length", "[", "valist", "]"}]}], ";", "\[IndentingNewLine]", 
     RowBox[{"Do", "[", 
      RowBox[{
       RowBox[{
        RowBox[{"temp", "=", 
         RowBox[{"{", "}"}]}], ";", "\[IndentingNewLine]", 
        RowBox[{"If", "[", 
         RowBox[{
          RowBox[{
           RowBox[{"i", "\[Equal]", "0"}], "||", "novar"}], ",", 
          RowBox[{"inonzero", "=", "False"}], ",", 
          RowBox[{"inonzero", "=", "True"}]}], "]"}], ";", 
        "\[IndentingNewLine]", 
        RowBox[{"argument1", "=", 
         RowBox[{"valist", "[", 
          RowBox[{"[", "k", "]"}], "]"}]}], ";", "\[IndentingNewLine]", 
        RowBox[{"If", "[", 
         RowBox[{
          RowBox[{"!", "novar"}], ",", 
          RowBox[{"argument1", "=", 
           RowBox[{"argument1", "/.", 
            RowBox[{
             RowBox[{"var", "[", 
              RowBox[{"[", "1", "]"}], "]"}], "\[Rule]", "i"}]}]}]}], "]"}], 
        ";", " ", 
        RowBox[{"If", "[", 
         RowBox[{"inonzero", ",", 
          RowBox[{"argument2", "=", 
           RowBox[{"-", 
            RowBox[{"valist", "[", 
             RowBox[{"[", "k", "]"}], "]"}]}]}]}], "]"}], ";", 
        "\[IndentingNewLine]", 
        RowBox[{"If", "[", 
         RowBox[{
          RowBox[{"!", "novar"}], ",", 
          RowBox[{"argument2", "=", 
           RowBox[{"argument2", "/.", 
            RowBox[{
             RowBox[{"var", "[", 
              RowBox[{"[", "1", "]"}], "]"}], "\[Rule]", 
             RowBox[{"-", "i"}]}]}]}]}], "]"}], ";", "\[IndentingNewLine]", 
        RowBox[{"If", "[", 
         RowBox[{
          RowBox[{
           RowBox[{"IndirectTestI", "[", "argument1", "]"}], "||", 
           RowBox[{"IndirectTestI", "[", 
            RowBox[{"-", "argument1"}], "]"}]}], ",", 
          RowBox[{"AppendTo", "[", 
           RowBox[{"temp", ",", "argument1"}], "]"}]}], "]"}], ";", 
        "\[IndentingNewLine]", 
        RowBox[{"If", "[", 
         RowBox[{"inonzero", ",", 
          RowBox[{"If", "[", 
           RowBox[{
            RowBox[{
             RowBox[{"IndirectTestI", "[", "argument2", "]"}], "||", 
             RowBox[{"IndirectTestI", "[", 
              RowBox[{"-", "argument2"}], "]"}]}], ",", 
            RowBox[{"AppendTo", "[", 
             RowBox[{"temp", ",", "argument2"}], "]"}]}], "]"}]}], "]"}], ";",
         "\[IndentingNewLine]", 
        RowBox[{"temp", "=", 
         RowBox[{"Union", "[", "temp", "]"}]}], ";", "\[IndentingNewLine]", 
        RowBox[{"arglist", "=", 
         RowBox[{"Join", "[", 
          RowBox[{"arglist", ",", "temp"}], "]"}]}]}], ",", 
       RowBox[{"{", 
        RowBox[{"k", ",", "1", ",", "valen"}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"i", ",", "0", ",", 
         RowBox[{
          RowBox[{"Floor", "[", 
           RowBox[{
            RowBox[{"(", 
             RowBox[{"pmax", "+", 
              RowBox[{"Abs", "[", 
               RowBox[{"c1", "+", "c2"}], "]"}]}], ")"}], "/", "2"}], "]"}], 
          "+", "1"}]}], "}"}]}], "]"}], ";", "\[IndentingNewLine]", 
     RowBox[{"If", "[", 
      RowBox[{"novar", ",", 
       RowBox[{"Union", "[", "arglist", "]"}], ",", "arglist"}], "]"}]}]}], 
   "]"}]}]], "Input",
 InitializationCell->
  True,ExpressionUUID->"a11829c8-08a7-4302-8e78-33c1cbf96603"],

Cell[BoxData[
 RowBox[{
  RowBox[{"FlmpAllan", "[", 
   RowBox[{
   "l_Integer", ",", "m_Integer", ",", "p_Integer", ",", "inc_", ",", 
    "pw_Integer"}], "]"}], ":=", 
  RowBox[{"Expand", "[", 
   RowBox[{"Normal", "[", 
    RowBox[{"Series", "[", 
     RowBox[{
      RowBox[{"Expand", "[", 
       RowBox[{
        RowBox[{
         RowBox[{"(", 
          RowBox[{
           RowBox[{"I", "^", 
            RowBox[{"(", 
             RowBox[{"l", "-", "m"}], ")"}]}], "*", 
           RowBox[{
            RowBox[{"(", 
             RowBox[{"l", "+", "m"}], ")"}], "!"}]}], ")"}], "/", 
         RowBox[{"(", 
          RowBox[{
           RowBox[{"2", "^", "l"}], "*", 
           RowBox[{"p", "!"}], "*", 
           RowBox[{
            RowBox[{"(", 
             RowBox[{"l", "-", "p"}], ")"}], "!"}]}], ")"}]}], "*", 
        RowBox[{"Sum", "[", 
         RowBox[{
          RowBox[{
           RowBox[{
            RowBox[{"(", 
             RowBox[{"-", "1"}], ")"}], "^", "k"}], "*", 
           RowBox[{"Binomial", "[", 
            RowBox[{
             RowBox[{"2", "*", 
              RowBox[{"(", 
               RowBox[{"l", "-", "p"}], ")"}]}], ",", "k"}], "]"}], "*", 
           RowBox[{"Binomial", "[", 
            RowBox[{
             RowBox[{"2", "*", "p"}], ",", 
             RowBox[{"l", "-", "m", "-", "k"}]}], "]"}], "*", 
           RowBox[{"inc", "^", 
            RowBox[{"(", 
             RowBox[{"m", "-", "l", "+", 
              RowBox[{"2", "*", "p"}], "+", 
              RowBox[{"2", "*", "k"}]}], ")"}]}], "*", 
           RowBox[{"Normal", "[", 
            RowBox[{"Series", "[", 
             RowBox[{
              RowBox[{
               RowBox[{"(", 
                RowBox[{"1", "-", 
                 RowBox[{"inc", "^", "2"}]}], ")"}], "^", 
               RowBox[{"(", 
                RowBox[{
                 RowBox[{"(", 
                  RowBox[{
                   RowBox[{"3", "*", "l"}], "-", "m", "-", 
                   RowBox[{"2", "*", "p"}], "-", 
                   RowBox[{"2", "*", "k"}]}], ")"}], "/", "2"}], ")"}]}], ",", 
              RowBox[{"{", 
               RowBox[{"inc", ",", "0", ",", "pw"}], "}"}]}], "]"}], "]"}]}], 
          ",", 
          RowBox[{"{", 
           RowBox[{"k", ",", 
            RowBox[{"Max", "[", 
             RowBox[{"0", ",", 
              RowBox[{"l", "-", "m", "-", 
               RowBox[{"2", "*", "p"}]}]}], "]"}], ",", 
            RowBox[{"Min", "[", 
             RowBox[{
              RowBox[{"l", "-", "m"}], ",", 
              RowBox[{
               RowBox[{"2", "*", "l"}], "-", 
               RowBox[{"2", "*", "p"}]}]}], "]"}]}], "}"}]}], "]"}]}], "]"}], 
      ",", 
      RowBox[{"{", 
       RowBox[{"inc", ",", "0", ",", "pw"}], "}"}]}], "]"}], "]"}], 
   "]"}]}]], "Input",
 InitializationCell->
  True,ExpressionUUID->"2546b503-be0f-42f5-87e4-7320eaf5cefe"],

Cell[BoxData[
 RowBox[{
  RowBox[{
   RowBox[{"FlmpKaula", "[", 
    RowBox[{
    "l_Integer", ",", "m_Integer", ",", "p_Integer", ",", "inc_", ",", 
     "pw_Integer"}], "]"}], ":=", 
   RowBox[{"Expand", "[", 
    RowBox[{
     RowBox[{"I", "^", 
      RowBox[{"(", 
       RowBox[{"l", "-", "m"}], ")"}]}], "*", 
     RowBox[{"FlmpAllan", "[", 
      RowBox[{"l", ",", "m", ",", "p", ",", "inc", ",", "pw"}], "]"}]}], 
    "]"}]}], ";"}]], "Input",
 InitializationCell->
  True,ExpressionUUID->"bf2a18af-e745-479e-978d-585c1ec80749"],

Cell[BoxData[
 RowBox[{
  RowBox[{"Newcomb", "[", 
   RowBox[{"a_", ",", "b_", ",", "c_", ",", "d_"}], "]"}], ":=", 
  RowBox[{
   RowBox[{"Newcomb", "[", 
    RowBox[{"a", ",", 
     RowBox[{"-", "b"}], ",", "d", ",", "c"}], "]"}], "/;", 
   RowBox[{"d", ">", "c"}]}]}]], "Input",
 InitializationCell->
  True,ExpressionUUID->"4d1ec4bb-d4d3-49b6-a419-158d6f4a389c"],

Cell[BoxData[
 RowBox[{
  RowBox[{"Newcomb", "[", 
   RowBox[{"a_", ",", "b_", ",", "c_", ",", "d_"}], "]"}], ":=", 
  RowBox[{"0", "/;", 
   RowBox[{
    RowBox[{"c", "<", "0"}], "||", 
    RowBox[{"d", "<", "0"}]}]}]}]], "Input",
 InitializationCell->
  True,ExpressionUUID->"46bba226-38b9-43c0-893a-e9a93f5a1ee5"],

Cell[BoxData[
 RowBox[{
  RowBox[{"Newcomb", "[", 
   RowBox[{"a_", ",", "b_", ",", "c_", ",", "d_"}], "]"}], ":=", 
  RowBox[{
   RowBox[{
    RowBox[{"(", 
     RowBox[{
      RowBox[{"2", "*", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{"2", "*", "b"}], "-", "a"}], ")"}], "*", 
       RowBox[{"Newcomb", "[", 
        RowBox[{"a", ",", 
         RowBox[{"b", "+", "1"}], ",", 
         RowBox[{"c", "-", "1"}], ",", "0"}], "]"}]}], "+", 
      RowBox[{
       RowBox[{"(", 
        RowBox[{"b", "-", "a"}], ")"}], "*", 
       RowBox[{"Newcomb", "[", 
        RowBox[{"a", ",", 
         RowBox[{"b", "+", "2"}], ",", 
         RowBox[{"c", "-", "2"}], ",", "0"}], "]"}]}]}], ")"}], "/", 
    RowBox[{"(", 
     RowBox[{"4", "*", "c"}], ")"}]}], "/;", 
   RowBox[{
    RowBox[{"c", ">", "1"}], "&&", 
    RowBox[{"d", "\[Equal]", "0"}]}]}]}]], "Input",
 InitializationCell->
  True,ExpressionUUID->"43c5b355-2546-4e72-8418-4223ee43ecad"],

Cell[BoxData[
 RowBox[{
  RowBox[{"Newcomb", "[", 
   RowBox[{"a_", ",", "b_", ",", "c_", ",", "d_"}], "]"}], ":=", 
  RowBox[{"Block", "[", 
   RowBox[{
    RowBox[{"{", "j", "}"}], ",", 
    RowBox[{
     RowBox[{
      RowBox[{"(", 
       RowBox[{
        RowBox[{"-", 
         RowBox[{"(", 
          RowBox[{"2", "*", 
           RowBox[{"(", 
            RowBox[{
             RowBox[{"2", "*", "b"}], "+", "a"}], ")"}], "*", 
           RowBox[{"Newcomb", "[", 
            RowBox[{"a", ",", 
             RowBox[{"b", "-", "1"}], ",", "c", ",", 
             RowBox[{"d", "-", "1"}]}], "]"}]}], ")"}]}], "-", 
        RowBox[{
         RowBox[{"(", 
          RowBox[{"b", "+", "a"}], ")"}], "*", 
         RowBox[{"Newcomb", "[", 
          RowBox[{"a", ",", 
           RowBox[{"b", "-", "2"}], ",", "c", ",", 
           RowBox[{"d", "-", "2"}]}], "]"}]}], "-", 
        RowBox[{
         RowBox[{"(", 
          RowBox[{"c", "-", 
           RowBox[{"5", "*", "d"}], "+", "4", "+", 
           RowBox[{"4", "*", "b"}], "+", "a"}], ")"}], "*", 
         RowBox[{"Newcomb", "[", 
          RowBox[{"a", ",", "b", ",", 
           RowBox[{"c", "-", "1"}], ",", 
           RowBox[{"d", "-", "1"}]}], "]"}]}], "+", 
        RowBox[{"2", "*", 
         RowBox[{"(", 
          RowBox[{"c", "-", "d", "+", "b"}], ")"}], "*", 
         RowBox[{"Sum", "[", 
          RowBox[{
           RowBox[{
            RowBox[{
             RowBox[{"(", 
              RowBox[{"-", "1"}], ")"}], "^", "j"}], "*", 
            RowBox[{"Binomial", "[", 
             RowBox[{
              RowBox[{"3", "/", "2"}], ",", "j"}], "]"}], "*", 
            RowBox[{"Newcomb", "[", 
             RowBox[{"a", ",", "b", ",", 
              RowBox[{"c", "-", "j"}], ",", 
              RowBox[{"d", "-", "j"}]}], "]"}]}], ",", 
           RowBox[{"{", 
            RowBox[{"j", ",", "2", ",", "d"}], "}"}]}], "]"}]}]}], ")"}], "/", 
      RowBox[{"(", 
       RowBox[{"4", "*", "d"}], ")"}]}], "/;", 
     RowBox[{
      RowBox[{"c", "\[GreaterEqual]", "d"}], "&&", 
      RowBox[{"d", "\[GreaterEqual]", "2"}]}]}]}], "]"}]}]], "Input",
 InitializationCell->
  True,ExpressionUUID->"9d441a38-69ed-48f1-86a3-b0f2ad9bb408"],

Cell[BoxData[
 RowBox[{
  RowBox[{"Newcomb", "[", 
   RowBox[{"a_", ",", "b_", ",", "c_", ",", "d_"}], "]"}], ":=", 
  RowBox[{
   RowBox[{
    RowBox[{"(", 
     RowBox[{
      RowBox[{"-", 
       RowBox[{"(", 
        RowBox[{"2", "*", 
         RowBox[{"(", 
          RowBox[{
           RowBox[{"2", "*", "b"}], "+", "a"}], ")"}], "*", 
         RowBox[{"Newcomb", "[", 
          RowBox[{"a", ",", 
           RowBox[{"b", "-", "1"}], ",", "c", ",", 
           RowBox[{"d", "-", "1"}]}], "]"}]}], ")"}]}], "-", 
      RowBox[{
       RowBox[{"(", 
        RowBox[{"b", "+", "a"}], ")"}], "*", 
       RowBox[{"Newcomb", "[", 
        RowBox[{"a", ",", 
         RowBox[{"b", "-", "2"}], ",", "c", ",", 
         RowBox[{"d", "-", "2"}]}], "]"}]}], "-", 
      RowBox[{
       RowBox[{"(", 
        RowBox[{"c", "-", 
         RowBox[{"5", "*", "d"}], "+", "4", "+", 
         RowBox[{"4", "*", "b"}], "+", "a"}], ")"}], "*", 
       RowBox[{"Newcomb", "[", 
        RowBox[{"a", ",", "b", ",", 
         RowBox[{"c", "-", "1"}], ",", 
         RowBox[{"d", "-", "1"}]}], "]"}]}]}], ")"}], "/", 
    RowBox[{"(", 
     RowBox[{"4", "*", "d"}], ")"}]}], "/;", 
   RowBox[{
    RowBox[{"c", "\[GreaterEqual]", "d"}], "&&", 
    RowBox[{"d", "<", "2"}], "&&", 
    RowBox[{"d", "\[NotEqual]", "0"}]}]}]}]], "Input",
 InitializationCell->
  True,ExpressionUUID->"b344eb37-67e0-4518-88ba-50f3f63979c4"],

Cell[BoxData[
 RowBox[{
  RowBox[{"Newcomb", "[", 
   RowBox[{"a_", ",", "b_", ",", "0", ",", "0"}], "]"}], ":=", "1"}]], "Input",\

 InitializationCell->
  True,ExpressionUUID->"f503f257-be7d-4a12-90fa-39c5eecbc201"],

Cell[BoxData[
 RowBox[{
  RowBox[{"Newcomb", "[", 
   RowBox[{"a_", ",", "b_", ",", "1", ",", "0"}], "]"}], ":=", 
  RowBox[{"b", "-", 
   RowBox[{"a", "/", "2"}]}]}]], "Input",
 InitializationCell->
  True,ExpressionUUID->"7ad6b49a-d809-41b6-b9a5-0a91eb7f7311"],

Cell[BoxData[
 RowBox[{
  RowBox[{"Hansen", "[", 
   RowBox[{"a_", ",", "b_", ",", "c_", ",", "e_", ",", "pw_Integer"}], "]"}], 
  ":=", 
  RowBox[{"Expand", "[", 
   RowBox[{
    RowBox[{"e", "^", 
     RowBox[{"Abs", "[", 
      RowBox[{"c", "-", "b"}], "]"}]}], "*", 
    RowBox[{"Sum", "[", 
     RowBox[{
      RowBox[{
       RowBox[{"Newcomb", "[", 
        RowBox[{"a", ",", "b", ",", 
         RowBox[{"sigma", "+", 
          RowBox[{"Max", "[", 
           RowBox[{"0", ",", 
            RowBox[{"c", "-", "b"}]}], "]"}]}], ",", 
         RowBox[{"sigma", "+", 
          RowBox[{"Max", "[", 
           RowBox[{"0", ",", 
            RowBox[{"b", "-", "c"}]}], "]"}]}]}], "]"}], "*", 
       RowBox[{"e", "^", 
        RowBox[{"(", 
         RowBox[{"2", "*", "sigma"}], ")"}]}]}], ",", 
      RowBox[{"{", 
       RowBox[{"sigma", ",", "0", ",", 
        RowBox[{"Quotient", "[", 
         RowBox[{
          RowBox[{"pw", "-", 
           RowBox[{"Abs", "[", 
            RowBox[{"c", "-", "b"}], "]"}]}], ",", "2"}], "]"}]}], "}"}]}], 
     "]"}]}], "]"}]}]], "Input",
 InitializationCell->
  True,ExpressionUUID->"e7b0212a-d722-4121-b11f-944cb4e763da"],

Cell[BoxData[
 RowBox[{
  RowBox[{"LaplaceSeries", "[", 
   RowBox[{
   "s_", ",", "j_Integer", ",", "alpha_", ",", "n_Integer", ",", 
    "nord_Integer"}], "]"}], ":=", 
  RowBox[{
   RowBox[{"LaplaceSeries", "[", 
    RowBox[{"s", ",", 
     RowBox[{"-", "j"}], ",", "alpha", ",", "n", ",", "nord"}], "]"}], "/;", 
   RowBox[{"j", "<", "0"}]}]}]], "Input",
 InitializationCell->
  True,ExpressionUUID->"ca65b286-43f1-4e22-8cb6-251a61abd822"],

Cell[BoxData[
 RowBox[{
  RowBox[{
   RowBox[{"LaplaceSeries", "[", 
    RowBox[{
    "s_", ",", "j_Integer", ",", "alpha_", ",", "0", ",", "nord_Integer"}], 
    "]"}], ":=", 
   RowBox[{"Block", "[", 
    RowBox[{
     RowBox[{"{", "ifact", "}"}], ",", 
     RowBox[{
      RowBox[{"If", "[", 
       RowBox[{
        RowBox[{"j", "\[Equal]", "0"}], ",", 
        RowBox[{"ifact", "=", "2"}], ",", 
        RowBox[{"ifact", "=", 
         RowBox[{
          RowBox[{"(", 
           RowBox[{"2", "/", 
            RowBox[{"j", "!"}]}], ")"}], "*", 
          RowBox[{"Product", "[", 
           RowBox[{
            RowBox[{"(", 
             RowBox[{"s", "+", "ii"}], ")"}], ",", 
            RowBox[{"{", 
             RowBox[{"ii", ",", "0", ",", 
              RowBox[{"j", "-", "1"}]}], "}"}]}], "]"}], "*", 
          RowBox[{"alpha", "^", "j"}]}]}]}], "]"}], ";", 
      "\[IndentingNewLine]", 
      RowBox[{"Expand", "[", 
       RowBox[{"ifact", "*", 
        RowBox[{"(", 
         RowBox[{"1", "+", 
          RowBox[{"Sum", "[", 
           RowBox[{
            RowBox[{
             RowBox[{"Product", "[", 
              RowBox[{
               RowBox[{
                RowBox[{"(", 
                 RowBox[{"s", "+", "jj", "-", "1"}], ")"}], 
                RowBox[{
                 RowBox[{"(", 
                  RowBox[{"s", "+", "j", "+", "jj", "-", "1"}], ")"}], "/", 
                 RowBox[{"(", 
                  RowBox[{"jj", "*", 
                   RowBox[{"(", 
                    RowBox[{"j", "+", "jj"}], ")"}]}], ")"}]}]}], ",", 
               RowBox[{"{", 
                RowBox[{"jj", ",", "1", ",", "ii"}], "}"}]}], "]"}], "*", 
             RowBox[{"alpha", "^", 
              RowBox[{"(", 
               RowBox[{"2", "*", "ii"}], ")"}]}]}], ",", 
            RowBox[{"{", 
             RowBox[{"ii", ",", "1", ",", 
              RowBox[{
               RowBox[{"(", 
                RowBox[{"nord", "-", "j"}], ")"}], "/", "2"}]}], "}"}]}], 
           "]"}]}], ")"}]}], "]"}]}]}], "]"}]}], ";"}]], "Input",
 InitializationCell->
  True,ExpressionUUID->"4c8235b7-13de-4350-83b2-f7d2b4cd2ead"],

Cell[BoxData[
 RowBox[{
  RowBox[{"LaplaceSeries", "[", 
   RowBox[{
   "s_", ",", "j_Integer", ",", "alpha_", ",", "n_Integer", ",", 
    "nord_Integer"}], "]"}], ":=", 
  RowBox[{
   RowBox[{"D", "[", 
    RowBox[{
     RowBox[{"LaplaceSeries", "[", 
      RowBox[{"s", ",", "j", ",", "alpha", ",", "0", ",", 
       RowBox[{"nord", "+", "n"}]}], "]"}], ",", 
     RowBox[{"{", 
      RowBox[{"alpha", ",", "n"}], "}"}]}], "]"}], "/;", 
   RowBox[{"n", ">", "0"}]}]}]], "Input",
 InitializationCell->
  True,ExpressionUUID->"d85f2b65-6fba-4f16-af64-96ff3723bd16"],

Cell[BoxData[
 RowBox[{
  RowBox[{"LaplaceCoefficient", "[", 
   RowBox[{"s_", ",", "jj_Integer", ",", "a_", ",", "n_Integer"}], "]"}], ":=", 
  RowBox[{"Module", "[", 
   RowBox[{
    RowBox[{"{", 
     RowBox[{"outside", ",", 
      RowBox[{"j", "=", 
       RowBox[{"Abs", "[", "jj", "]"}]}], ",", "cterm", ",", "cbterm", ",", 
      "csum", ",", "i", ",", "k"}], "}"}], ",", 
    RowBox[{
     RowBox[{"outside", "=", 
      RowBox[{"2", "*", 
       RowBox[{
        RowBox[{"Product", "[", 
         RowBox[{
          RowBox[{"s", "+", "k"}], ",", 
          RowBox[{"{", 
           RowBox[{"k", ",", "0", ",", 
            RowBox[{"j", "-", "1"}]}], "}"}]}], "]"}], "/", 
        RowBox[{"j", "!"}]}], "*", 
       RowBox[{"a", "^", 
        RowBox[{"(", 
         RowBox[{"j", "-", "n"}], ")"}]}]}]}], ";", "\[IndentingNewLine]", 
     RowBox[{"cterm", "=", "1"}], ";", "\[IndentingNewLine]", 
     RowBox[{"cbterm", "=", 
      RowBox[{"cterm", "*", 
       RowBox[{"Product", "[", 
        RowBox[{
         RowBox[{"j", "-", "k"}], ",", 
         RowBox[{"{", 
          RowBox[{"k", ",", "0", ",", 
           RowBox[{"n", "-", "1"}]}], "}"}]}], "]"}]}]}], ";", 
     "\[IndentingNewLine]", 
     RowBox[{"For", "[", 
      RowBox[{
       RowBox[{
        RowBox[{"i", "=", "1"}], ";", " ", 
        RowBox[{"csum", "=", "cbterm"}]}], ",", 
       RowBox[{
        RowBox[{"(", 
         RowBox[{"cbterm", ">", "$MachineEpsilon"}], ")"}], "||", 
        RowBox[{"(", 
         RowBox[{"cbterm", "\[Equal]", "0"}], ")"}]}], ",", 
       RowBox[{"i", "++"}], ",", 
       RowBox[{
        RowBox[{"cterm", "=", 
         RowBox[{"cterm", "*", 
          RowBox[{"(", 
           RowBox[{"s", "+", "i", "-", "1"}], ")"}], "*", 
          RowBox[{
           RowBox[{
            RowBox[{"(", 
             RowBox[{"s", "+", "j", "+", "i", "-", "1"}], ")"}], "/", "i"}], 
           "/", 
           RowBox[{"(", 
            RowBox[{"j", "+", "i"}], ")"}]}], "*", 
          RowBox[{"a", "^", "2"}]}]}], ";", "\[IndentingNewLine]", 
        RowBox[{"cbterm", "=", 
         RowBox[{"cterm", "*", 
          RowBox[{"Product", "[", 
           RowBox[{
            RowBox[{"j", "+", 
             RowBox[{"2", "*", "i"}], "-", "k"}], ",", 
            RowBox[{"{", 
             RowBox[{"k", ",", "0", ",", 
              RowBox[{"n", "-", "1"}]}], "}"}]}], "]"}]}]}], ";", 
        "\[IndentingNewLine]", 
        RowBox[{"csum", "=", 
         RowBox[{"csum", "+", "cbterm"}]}]}]}], "]"}], ";", 
     "\[IndentingNewLine]", 
     RowBox[{"Expand", "[", 
      RowBox[{"outside", "*", "csum"}], "]"}]}]}], "]"}]}]], "Input",
 InitializationCell->
  True,ExpressionUUID->"be826026-97ab-4177-94fc-2564dd2e2df7"],

Cell[BoxData[
 RowBox[{
  RowBox[{"SMultiply", "[", 
   RowBox[{"s1_", ",", "s2_", ",", "max_Integer"}], "]"}], ":=", 
  RowBox[{"Module", "[", 
   RowBox[{
    RowBox[{"{", 
     RowBox[{"ts1", ",", "ts2", ",", "t"}], "}"}], ",", 
    RowBox[{
     RowBox[{"ts1", "=", 
      RowBox[{"s1", "/.", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"Global`e", "\[Rule]", 
          RowBox[{"t", "*", "Global`e"}]}], ",", 
         RowBox[{
          RowBox[{"Global`e", "'"}], "\[Rule]", 
          RowBox[{"t", "*", 
           RowBox[{"Global`e", "'"}]}]}], ",", 
         RowBox[{"Global`s", "\[Rule]", 
          RowBox[{"t", "*", "Global`s"}]}], ",", 
         RowBox[{
          RowBox[{"Global`s", "'"}], "\[Rule]", 
          RowBox[{"t", "*", 
           RowBox[{"Global`s", "'"}]}]}]}], "}"}]}]}], ";", 
     "\[IndentingNewLine]", 
     RowBox[{"ts2", "=", 
      RowBox[{"s2", "/.", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"Global`e", "\[Rule]", 
          RowBox[{"t", "*", "Global`e"}]}], ",", 
         RowBox[{
          RowBox[{"Global`e", "'"}], "\[Rule]", 
          RowBox[{"t", "*", 
           RowBox[{"Global`e", "'"}]}]}], ",", 
         RowBox[{"Global`s", "\[Rule]", 
          RowBox[{"t", "*", "Global`s"}]}], ",", 
         RowBox[{
          RowBox[{"Global`s", "'"}], "\[Rule]", 
          RowBox[{"t", "*", 
           RowBox[{"Global`s", "'"}]}]}]}], "}"}]}]}], ";", 
     "\[IndentingNewLine]", 
     RowBox[{
      RowBox[{"Normal", "[", 
       RowBox[{"Series", "[", 
        RowBox[{
         RowBox[{"ts1", "*", "ts2"}], ",", 
         RowBox[{"{", 
          RowBox[{"t", ",", "0", ",", "max"}], "}"}]}], "]"}], "]"}], "/.", 
      RowBox[{"t", "\[Rule]", "1"}]}]}]}], "]"}]}]], "Input",
 InitializationCell->
  True,ExpressionUUID->"542e3a1a-c17a-4194-b1ee-8af8cc6b9145"],

Cell[BoxData[
 RowBox[{
  RowBox[{
   RowBox[{"EllisKaulaD", "[", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{
      "clamdap_", ",", "clamda_", ",", "clpp_Integer", ",", "clp_Integer", 
       ",", "clanp_Integer", ",", "clan_Integer"}], "}"}], ",", 
     "pmax_Integer"}], "]"}], ":=", 
   RowBox[{"Module", "[", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{
       RowBox[{"qp", "=", 
        RowBox[{"-", "clpp"}]}], ",", 
       RowBox[{"q", "=", "clp"}], ",", 
       RowBox[{"msnpp", "=", "clanp"}], ",", 
       RowBox[{"msnp", "=", 
        RowBox[{"-", "clan"}]}], ",", 
       RowBox[{"isum", "=", "0"}], ",", 
       RowBox[{"lmax", "=", 
        RowBox[{"pmax", "-", 
         RowBox[{"Abs", "[", "clan", "]"}], "-", 
         RowBox[{"Abs", "[", "clanp", "]"}]}]}], ",", "coeff1", ",", "coeff2",
        ",", "coeff3", ",", "ifact", ",", "xe", ",", "xep", ",", "ifun", ",", 
       "efun", ",", "iefun", ",", "imin", ",", "imax", ",", "nmax", ",", 
       "mmin", ",", "p", ",", "pp", ",", "fsi", ",", "fsip", ",", "lapfun", 
       ",", "term", ",", "i", ",", "ss", ",", "n", ",", "m", ",", "abar", ",",
        "jj"}], "}"}], ",", 
     RowBox[{
      RowBox[{"absqqp", "=", 
       RowBox[{
        RowBox[{"Abs", "[", "q", "]"}], "+", 
        RowBox[{"Abs", "[", "qp", "]"}]}]}], ";", "\[IndentingNewLine]", 
      RowBox[{"If", "[", 
       RowBox[{
        RowBox[{"EvenQ", "[", "msnpp", "]"}], ",", 
        RowBox[{"mmseven", "=", "True"}], ",", 
        RowBox[{"mmseven", "=", "False"}]}], "]"}], ";", 
      "\[IndentingNewLine]", 
      RowBox[{"ppmp", "=", 
       RowBox[{
        RowBox[{"(", 
         RowBox[{"msnpp", "-", "msnp"}], ")"}], "/", "2"}]}], ";", 
      "\[IndentingNewLine]", 
      RowBox[{"If", "[", 
       RowBox[{
        RowBox[{"ppmp", "<", "0"}], ",", 
        RowBox[{
         RowBox[{"pmin", "=", 
          RowBox[{"-", "ppmp"}]}], ";", " ", 
         RowBox[{"ppmin", "=", "0"}]}], ",", 
        RowBox[{
         RowBox[{"pmin", "=", "0"}], ";", " ", 
         RowBox[{"ppmin", "=", "ppmp"}]}]}], "]"}], ";", 
      "\[IndentingNewLine]", 
      RowBox[{"sm2nmin", "=", 
       RowBox[{"Max", "[", 
        RowBox[{"pmin", ",", "ppmin", ",", 
         RowBox[{
          RowBox[{"-", "msnp"}], "+", 
          RowBox[{"2", "*", "pmin"}]}], ",", 
         RowBox[{
          RowBox[{"-", "msnpp"}], "+", 
          RowBox[{"2", "*", "ppmin"}]}]}], "]"}]}], ";", 
      "\[IndentingNewLine]", 
      RowBox[{"ssmin", "=", "sm2nmin"}], ";", " ", 
      RowBox[{"imin", "=", "0"}], ";", "\[IndentingNewLine]", 
      RowBox[{"imax", "=", 
       RowBox[{"Floor", "[", 
        RowBox[{
         RowBox[{"(", 
          RowBox[{"pmax", "-", 
           RowBox[{"Abs", "[", "q", "]"}], "-", 
           RowBox[{"Abs", "[", "qp", "]"}]}], ")"}], "/", "2"}], "]"}]}], ";",
       "\[IndentingNewLine]", 
      RowBox[{"Do", "[", 
       RowBox[{
        RowBox[{
         RowBox[{"ifact", "=", 
          RowBox[{
           RowBox[{"(", 
            RowBox[{
             RowBox[{
              RowBox[{"(", 
               RowBox[{"2", "i"}], ")"}], "!"}], "/", 
             RowBox[{"i", "!"}]}], ")"}], "*", 
           RowBox[{"(", 
            RowBox[{
             RowBox[{"(", 
              RowBox[{
               RowBox[{"(", 
                RowBox[{"-", "1"}], ")"}], "^", "i"}], ")"}], "/", 
             RowBox[{"(", 
              RowBox[{"2", "^", 
               RowBox[{"(", 
                RowBox[{
                 RowBox[{"2", "i"}], "+", "1"}], ")"}]}], ")"}]}], ")"}], "*", 
           RowBox[{
            RowBox[{"(", "Global`\[Alpha]", ")"}], "^", "i"}]}]}], ";", 
         "\[IndentingNewLine]", 
         RowBox[{"xe", "=", 
          RowBox[{"Hansen", "[", 
           RowBox[{
            RowBox[{"i", "+", "kk"}], ",", 
            RowBox[{
             RowBox[{"-", "clamda"}], "-", "q"}], ",", 
            RowBox[{"-", "clamda"}], ",", "Global`e", ",", 
            RowBox[{"pmax", "-", 
             RowBox[{"Abs", "[", "qp", "]"}], "-", 
             RowBox[{"Abs", "[", "clan", "]"}], "-", 
             RowBox[{"Abs", "[", "clanp", "]"}]}]}], "]"}]}], ";", 
         "\[IndentingNewLine]", 
         RowBox[{"xep", "=", 
          RowBox[{"Hansen", "[", 
           RowBox[{
            RowBox[{"-", 
             RowBox[{"(", 
              RowBox[{"i", "+", "kk", "+", "1"}], ")"}]}], ",", 
            RowBox[{"clamdap", "-", "qp"}], ",", "clamdap", ",", 
            RowBox[{"Global`e", "'"}], ",", 
            RowBox[{"pmax", "-", 
             RowBox[{"Abs", "[", "q", "]"}], "-", 
             RowBox[{"Abs", "[", "clan", "]"}], "-", 
             RowBox[{"Abs", "[", "clanp", "]"}]}]}], "]"}]}], ";", 
         "\[IndentingNewLine]", 
         RowBox[{"efun", "=", 
          RowBox[{"SMultiply", "[", 
           RowBox[{"xe", ",", "xep", ",", "pmax"}], "]"}]}], ";", 
         "\[IndentingNewLine]", 
         RowBox[{"Do", "[", 
          RowBox[{
           RowBox[{
            RowBox[{"nmax", "=", 
             RowBox[{"Floor", "[", 
              RowBox[{
               RowBox[{"(", 
                RowBox[{"ss", "-", "ssmin"}], ")"}], "/", "2"}], "]"}]}], ";",
             "\[IndentingNewLine]", 
            RowBox[{"Do", "[", 
             RowBox[{
              RowBox[{
               RowBox[{"If", "[", 
                RowBox[{
                 RowBox[{
                  RowBox[{"(", 
                   RowBox[{
                    RowBox[{"EvenQ", "[", "ss", "]"}], "&&", "mmseven"}], 
                   ")"}], "||", 
                  RowBox[{"(", 
                   RowBox[{
                    RowBox[{"OddQ", "[", "ss", "]"}], "&&", 
                    RowBox[{"!", "mmseven"}]}], ")"}]}], ",", 
                 RowBox[{"mmin", "=", "0"}], ",", 
                 RowBox[{"mmin", "=", "1"}]}], "]"}], ";", 
               "\[IndentingNewLine]", 
               RowBox[{"s2mn", "=", 
                RowBox[{"ss", "-", 
                 RowBox[{"2", "*", "n"}]}]}], ";", "\[IndentingNewLine]", 
               RowBox[{"Do", "[", 
                RowBox[{
                 RowBox[{
                  RowBox[{"pp", "=", 
                   RowBox[{
                    RowBox[{"(", 
                    RowBox[{"msnpp", "-", "m", "+", "s2mn"}], ")"}], "/", 
                    "2"}]}], ";", "\[IndentingNewLine]", 
                  RowBox[{"p", "=", 
                   RowBox[{
                    RowBox[{"(", 
                    RowBox[{"msnp", "-", "m", "+", "s2mn"}], ")"}], "/", 
                    "2"}]}], ";", "\[IndentingNewLine]", 
                  RowBox[{"If", "[", 
                   RowBox[{
                    RowBox[{
                    RowBox[{"p", "\[LessEqual]", "s2mn"}], "&&", 
                    RowBox[{"p", "\[GreaterEqual]", "pmin"}], "&&", 
                    RowBox[{"pp", "\[LessEqual]", "s2mn"}], "&&", 
                    RowBox[{"pp", "\[GreaterEqual]", "ppmin"}]}], ",", 
                    RowBox[{
                    RowBox[{"If", "[", 
                    RowBox[{
                    RowBox[{"m", "\[Equal]", "0"}], ",", 
                    RowBox[{"kappa", "=", "1"}], ",", 
                    RowBox[{"kappa", "=", "2"}]}], "]"}], ";", 
                    "\[IndentingNewLine]", 
                    RowBox[{"fsi", "=", 
                    RowBox[{"FlmpKaula", "[", 
                    RowBox[{
                    "s2mn", ",", "m", ",", "p", ",", "Global`s", ",", 
                    RowBox[{"pmax", "-", "absqqp", "-", 
                    RowBox[{"Abs", "[", "clanp", "]"}]}]}], "]"}]}], ";", 
                    "\[IndentingNewLine]", 
                    RowBox[{"fsip", "=", 
                    RowBox[{"FlmpKaula", "[", 
                    RowBox[{"s2mn", ",", "m", ",", "pp", ",", 
                    RowBox[{"Global`s", "'"}], ",", 
                    RowBox[{"pmax", "-", "absqqp", "-", 
                    RowBox[{"Abs", "[", "clan", "]"}]}]}], "]"}]}], ";", 
                    "\[IndentingNewLine]", 
                    RowBox[{"ifun", "=", 
                    RowBox[{"SMultiply", "[", 
                    RowBox[{"fsi", ",", "fsip", ",", 
                    RowBox[{"pmax", "-", "absqqp"}]}], "]"}]}], ";", 
                    "\[IndentingNewLine]", 
                    RowBox[{"iefun", "=", 
                    RowBox[{"SMultiply", "[", 
                    RowBox[{"efun", ",", "ifun", ",", "pmax"}], "]"}]}], ";", 
                    "\[IndentingNewLine]", 
                    RowBox[{"coeff1", "=", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"2", "*", "ss"}], "-", 
                    RowBox[{"4", "*", "n"}], "+", "1"}], ")"}], "*", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{"ss", "-", "n"}], ")"}], "!"}]}], ")"}], "/", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"2", "^", 
                    RowBox[{"(", 
                    RowBox[{"2", "*", "n"}], ")"}]}], "*", 
                    RowBox[{"n", "!"}], "*", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"2", "*", "ss"}], "-", 
                    RowBox[{"2", "*", "n"}], "+", "1"}], ")"}], "!"}]}], 
                    ")"}]}]}], ";", "\[IndentingNewLine]", 
                    RowBox[{"coeff2", "=", 
                    RowBox[{"kappa", "*", 
                    RowBox[{
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{"s2mn", "-", "m"}], ")"}], "!"}], "/", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{"s2mn", "+", "m"}], ")"}], "!"}]}]}]}], ";", 
                    "\[IndentingNewLine]", 
                    RowBox[{"Do", "[", 
                    RowBox[{
                    RowBox[{
                    RowBox[{"jj", "=", 
                    RowBox[{"clamda", "+", "i", "-", 
                    RowBox[{"2", "*", "abar"}], "-", 
                    RowBox[{"2", "*", "n"}], "-", 
                    RowBox[{"2", "*", "p"}], "+", "q"}]}], ";", 
                    "\[IndentingNewLine]", 
                    RowBox[{"vjj", "=", 
                    RowBox[{"Variables", "[", "jj", "]"}]}], ";", 
                    "\[IndentingNewLine]", 
                    RowBox[{"If", "[", 
                    RowBox[{
                    RowBox[{"vjj", "=!=", 
                    RowBox[{"{", "}"}]}], ",", 
                    RowBox[{"If", "[", 
                    RowBox[{
                    RowBox[{
                    RowBox[{"Coefficient", "[", 
                    RowBox[{"jj", ",", 
                    RowBox[{"vjj", "[", 
                    RowBox[{"[", "1", "]"}], "]"}], ",", "1"}], "]"}], 
                    "\[Equal]", 
                    RowBox[{"-", "1"}]}], ",", 
                    RowBox[{"jj", "=", 
                    RowBox[{"-", "jj"}]}]}], "]"}], ",", 
                    RowBox[{"jj", "=", 
                    RowBox[{"Abs", "[", "jj", "]"}]}]}], "]"}], ";", 
                    "\[IndentingNewLine]", 
                    RowBox[{"coeff3", "=", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{"-", "1"}], ")"}], "^", "ss"}], "*", 
                    RowBox[{"2", "^", 
                    RowBox[{"(", 
                    RowBox[{"2", "*", "ss"}], ")"}]}]}], ")"}], "/", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{"i", "-", "ss", "-", "abar"}], ")"}], "!"}], "*", 
                    
                    RowBox[{"abar", "!"}]}], ")"}]}]}], ";", 
                    "\[IndentingNewLine]", 
                    RowBox[{"lapfun", "=", 
                    RowBox[{"Sum", "[", 
                    RowBox[{
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{"-", "1"}], ")"}], "^", "l"}], "/", 
                    RowBox[{"(", 
                    RowBox[{"l", "!"}], ")"}]}], ")"}], "*", 
                    RowBox[{"Binomial", "[", 
                    RowBox[{"l", ",", "k"}], "]"}], "*", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{"-", "1"}], ")"}], "^", "k"}], "*", 
                    RowBox[{
                    RowBox[{"(", "Global`\[Alpha]", ")"}], "^", "l"}], "*", 
                    RowBox[{"Global`b", "[", 
                    RowBox[{
                    RowBox[{"i", "+", 
                    RowBox[{"1", "/", "2"}]}], ",", "jj", ",", "l"}], "]"}], 
                    "*", 
                    RowBox[{"(", 
                    RowBox[{"iefun", "/.", 
                    RowBox[{"kk", "\[Rule]", "k"}]}], ")"}]}], ",", 
                    RowBox[{"{", 
                    RowBox[{"l", ",", "0", ",", "lmax"}], "}"}], ",", 
                    RowBox[{"{", 
                    RowBox[{"k", ",", "0", ",", "l"}], "}"}]}], "]"}]}], ";", 
                    "\[IndentingNewLine]", 
                    RowBox[{"term", "=", 
                    RowBox[{
                    "ifact", "*", "coeff1", "*", "coeff2", "*", "coeff3", "*",
                     "lapfun"}]}], ";", "\[IndentingNewLine]", 
                    RowBox[{"isum", "=", 
                    RowBox[{"isum", "+", "term"}]}]}], ",", 
                    RowBox[{"{", 
                    RowBox[{"abar", ",", "0", ",", 
                    RowBox[{"i", "-", "ss"}]}], "}"}]}], "]"}]}]}], "]"}]}], 
                 ",", 
                 RowBox[{"{", 
                  RowBox[{"m", ",", "mmin", ",", 
                   RowBox[{"ss", "-", 
                    RowBox[{"2", "n"}]}], ",", "2"}], "}"}]}], "]"}]}], ",", 
              RowBox[{"{", 
               RowBox[{"n", ",", "0", ",", "nmax"}], "}"}]}], "]"}]}], ",", 
           RowBox[{"{", 
            RowBox[{"ss", ",", "ssmin", ",", "i"}], "}"}]}], "]"}]}], ",", 
        RowBox[{"{", 
         RowBox[{"i", ",", "imin", ",", "imax"}], "}"}]}], "]"}], ";", 
      "\[IndentingNewLine]", 
      RowBox[{"Expand", "[", "isum", "]"}]}]}], "]"}]}], ";"}]], "Input",
 InitializationCell->
  True,ExpressionUUID->"0282ffb6-e87f-4c98-a779-263397aef24e"],

Cell[BoxData[
 RowBox[{
  RowBox[{"EllisKaulaE", "[", 
   RowBox[{
    RowBox[{"{", 
     RowBox[{
     "clamdap_", ",", "clamda_", ",", "clpp_Integer", ",", "clp_Integer", ",",
       "clanp_Integer", ",", "clan_Integer"}], "}"}], ",", "pmax_Integer"}], 
   "]"}], ":=", 
  RowBox[{"Module", "[", 
   RowBox[{
    RowBox[{"{", 
     RowBox[{
      RowBox[{"qp", "=", 
       RowBox[{"-", "clpp"}]}], ",", 
      RowBox[{"q", "=", "clp"}], ",", 
      RowBox[{"m1pp", "=", "clanp"}], ",", 
      RowBox[{"m1p", "=", 
       RowBox[{"-", "clan"}]}], ",", 
      RowBox[{"pq1p", "=", 
       RowBox[{"clamdap", "-", "1"}]}], ",", 
      RowBox[{"pq1", "=", 
       RowBox[{
        RowBox[{"-", "clamda"}], "-", "1"}]}], ",", "coeff", ",", "p", ",", 
      "pp", ",", "m", ",", "kappa", ",", "fsi", ",", "fsip", ",", "xe", ",", 
      "xep", ",", "efun", ",", "ifun", ",", "iefun"}], "}"}], ",", 
    RowBox[{
     RowBox[{"pp", "=", 
      RowBox[{
       RowBox[{"-", 
        RowBox[{"(", 
         RowBox[{"pq1p", "-", "qp"}], ")"}]}], "/", "2"}]}], ";", 
     "\[IndentingNewLine]", 
     RowBox[{"p", "=", 
      RowBox[{
       RowBox[{"-", 
        RowBox[{"(", 
         RowBox[{"pq1", "-", "q"}], ")"}]}], "/", "2"}]}], ";", 
     "\[IndentingNewLine]", 
     RowBox[{"m", "=", 
      RowBox[{"m1pp", "-", 
       RowBox[{"2", "*", "pp"}], "+", "1"}]}], ";", "\[IndentingNewLine]", 
     RowBox[{"If", "[", 
      RowBox[{
       RowBox[{
        RowBox[{"p", "\[LessEqual]", "1"}], "&&", 
        RowBox[{"p", "\[GreaterEqual]", "0"}], "&&", 
        RowBox[{"pp", "\[LessEqual]", "1"}], "&&", 
        RowBox[{"pp", "\[GreaterEqual]", "0"}], "&&", 
        RowBox[{"m", "\[LessEqual]", "1"}], "&&", 
        RowBox[{"m", "\[GreaterEqual]", "0"}], "&&", 
        RowBox[{
         RowBox[{"IntegerQ", "[", "p", "]"}], "\[Equal]", "True"}], "&&", 
        RowBox[{
         RowBox[{"IntegerQ", "[", "pp", "]"}], "\[Equal]", "True"}]}], ",", 
       RowBox[{
        RowBox[{"absqqp", "=", 
         RowBox[{
          RowBox[{"Abs", "[", "q", "]"}], "+", 
          RowBox[{"Abs", "[", "qp", "]"}]}]}], ";", "\[IndentingNewLine]", 
        RowBox[{"If", "[", 
         RowBox[{
          RowBox[{"m", "\[Equal]", "0"}], ",", 
          RowBox[{"kappa", "=", "1"}], ",", 
          RowBox[{"kappa", "=", "2"}]}], "]"}], ";", "\[IndentingNewLine]", 
        RowBox[{"coeff", "=", 
         RowBox[{"kappa", "*", 
          RowBox[{
           RowBox[{
            RowBox[{"(", 
             RowBox[{"1", "-", "m"}], ")"}], "!"}], "/", 
           RowBox[{
            RowBox[{"(", 
             RowBox[{"1", "+", "m"}], ")"}], "!"}]}]}]}], ";", 
        "\[IndentingNewLine]", 
        RowBox[{"fsi", "=", 
         RowBox[{"FlmpKaula", "[", 
          RowBox[{"1", ",", "m", ",", "p", ",", "Global`s", ",", 
           RowBox[{"pmax", "-", "absqqp", "-", 
            RowBox[{"Abs", "[", "clanp", "]"}]}]}], "]"}]}], ";", 
        "\[IndentingNewLine]", 
        RowBox[{"fsip", "=", 
         RowBox[{"FlmpKaula", "[", 
          RowBox[{"1", ",", "m", ",", "pp", ",", 
           RowBox[{"Global`s", "'"}], ",", 
           RowBox[{"pmax", "-", "absqqp", "-", 
            RowBox[{"Abs", "[", "clan", "]"}]}]}], "]"}]}], ";", 
        "\[IndentingNewLine]", 
        RowBox[{"ifun", "=", 
         RowBox[{"SMultiply", "[", 
          RowBox[{"fsi", ",", "fsip", ",", 
           RowBox[{"pmax", "-", "absqqp"}]}], "]"}]}], ";", 
        "\[IndentingNewLine]", 
        RowBox[{"xe", "=", 
         RowBox[{"Hansen", "[", 
          RowBox[{"1", ",", 
           RowBox[{
            RowBox[{"-", "clamda"}], "-", "q"}], ",", 
           RowBox[{"-", "clamda"}], ",", "Global`e", ",", 
           RowBox[{"pmax", "-", 
            RowBox[{"Abs", "[", "qp", "]"}], "-", 
            RowBox[{"Abs", "[", "clan", "]"}], "-", 
            RowBox[{"Abs", "[", "clanp", "]"}]}]}], "]"}]}], ";", 
        "\[IndentingNewLine]", 
        RowBox[{"xep", "=", 
         RowBox[{"Hansen", "[", 
          RowBox[{
           RowBox[{"-", "2"}], ",", 
           RowBox[{"clamdap", "-", "qp"}], ",", "clamdap", ",", 
           RowBox[{"Global`e", "'"}], ",", 
           RowBox[{"pmax", "-", 
            RowBox[{"Abs", "[", "q", "]"}], "-", 
            RowBox[{"Abs", "[", "clan", "]"}], "-", 
            RowBox[{"Abs", "[", "clanp", "]"}]}]}], "]"}]}], ";", 
        "\[IndentingNewLine]", 
        RowBox[{"efun", "=", 
         RowBox[{"SMultiply", "[", 
          RowBox[{"xe", ",", "xep", ",", "pmax"}], "]"}]}], ";", 
        "\[IndentingNewLine]", 
        RowBox[{"iefun", "=", 
         RowBox[{"SMultiply", "[", 
          RowBox[{"efun", ",", "ifun", ",", "pmax"}], "]"}]}], ";", 
        "\[IndentingNewLine]", 
        RowBox[{"Expand", "[", 
         RowBox[{"coeff", "*", "iefun"}], "]"}]}], ",", "0"}], "]"}]}]}], 
   "]"}]}]], "Input",
 InitializationCell->
  True,ExpressionUUID->"4ab7b87c-6579-4d36-bf8c-e7116fe7482e"],

Cell[BoxData[
 RowBox[{
  RowBox[{"EllisKaulaI", "[", 
   RowBox[{
    RowBox[{"{", 
     RowBox[{
     "clamdap_", ",", "clamda_", ",", "clpp_Integer", ",", "clp_Integer", ",",
       "clanp_Integer", ",", "clan_Integer"}], "}"}], ",", "pmax_Integer"}], 
   "]"}], ":=", 
  RowBox[{"Module", "[", 
   RowBox[{
    RowBox[{"{", 
     RowBox[{
      RowBox[{"qp", "=", 
       RowBox[{"-", "clpp"}]}], ",", 
      RowBox[{"q", "=", "clp"}], ",", 
      RowBox[{"m1pp", "=", "clanp"}], ",", 
      RowBox[{"m1p", "=", 
       RowBox[{"-", "clan"}]}], ",", 
      RowBox[{"pq1p", "=", 
       RowBox[{"clamdap", "-", "1"}]}], ",", 
      RowBox[{"pq1", "=", 
       RowBox[{
        RowBox[{"-", "clamda"}], "-", "1"}]}], ",", "coeff", ",", "p", ",", 
      "pp", ",", "m", ",", "kappa", ",", "fsi", ",", "fsip", ",", "xe", ",", 
      "xep", ",", "efun", ",", "ifun", ",", "iefun"}], "}"}], ",", 
    RowBox[{
     RowBox[{"pp", "=", 
      RowBox[{
       RowBox[{"-", 
        RowBox[{"(", 
         RowBox[{"pq1p", "-", "qp"}], ")"}]}], "/", "2"}]}], ";", 
     "\[IndentingNewLine]", 
     RowBox[{"p", "=", 
      RowBox[{
       RowBox[{"-", 
        RowBox[{"(", 
         RowBox[{"pq1", "-", "q"}], ")"}]}], "/", "2"}]}], ";", 
     "\[IndentingNewLine]", 
     RowBox[{"m", "=", 
      RowBox[{"m1pp", "-", 
       RowBox[{"2", "*", "pp"}], "+", "1"}]}], ";", "\[IndentingNewLine]", 
     RowBox[{"If", "[", 
      RowBox[{
       RowBox[{
        RowBox[{"p", "\[LessEqual]", "1"}], "&&", 
        RowBox[{"p", "\[GreaterEqual]", "0"}], "&&", 
        RowBox[{"pp", "\[LessEqual]", "1"}], "&&", 
        RowBox[{"pp", "\[GreaterEqual]", "0"}], "&&", 
        RowBox[{"m", "\[LessEqual]", "1"}], "&&", 
        RowBox[{"m", "\[GreaterEqual]", "0"}], "&&", 
        RowBox[{
         RowBox[{"IntegerQ", "[", "p", "]"}], "\[Equal]", "True"}], "&&", 
        RowBox[{
         RowBox[{"IntegerQ", "[", "pp", "]"}], "\[Equal]", "True"}]}], ",", 
       RowBox[{
        RowBox[{"absqqp", "=", 
         RowBox[{
          RowBox[{"Abs", "[", "q", "]"}], "+", 
          RowBox[{"Abs", "[", "qp", "]"}]}]}], ";", "\[IndentingNewLine]", 
        RowBox[{"(*", 
         RowBox[{
          RowBox[{"m", "=", 
           RowBox[{"m1pp", "-", 
            RowBox[{"2", "*", "pp"}], "+", "1"}]}], ";"}], "*)"}], 
        RowBox[{"If", "[", 
         RowBox[{
          RowBox[{"m", "\[Equal]", "0"}], ",", 
          RowBox[{"kappa", "=", "1"}], ",", 
          RowBox[{"kappa", "=", "2"}]}], "]"}], ";", "\[IndentingNewLine]", 
        RowBox[{"coeff", "=", 
         RowBox[{"kappa", "*", 
          RowBox[{
           RowBox[{
            RowBox[{"(", 
             RowBox[{"1", "-", "m"}], ")"}], "!"}], "/", 
           RowBox[{
            RowBox[{"(", 
             RowBox[{"1", "+", "m"}], ")"}], "!"}]}]}]}], ";", 
        "\[IndentingNewLine]", 
        RowBox[{"fsi", "=", 
         RowBox[{"FlmpKaula", "[", 
          RowBox[{"1", ",", "m", ",", "p", ",", "Global`s", ",", 
           RowBox[{"pmax", "-", "absqqp", "-", 
            RowBox[{"Abs", "[", "clanp", "]"}]}]}], "]"}]}], ";", 
        "\[IndentingNewLine]", 
        RowBox[{"fsip", "=", 
         RowBox[{"FlmpKaula", "[", 
          RowBox[{"1", ",", "m", ",", "pp", ",", 
           RowBox[{"Global`s", "'"}], ",", 
           RowBox[{"pmax", "-", "absqqp", "-", 
            RowBox[{"Abs", "[", "clan", "]"}]}]}], "]"}]}], ";", 
        "\[IndentingNewLine]", 
        RowBox[{"ifun", "=", 
         RowBox[{"SMultiply", "[", 
          RowBox[{"fsi", ",", "fsip", ",", 
           RowBox[{"pmax", "-", "absqqp"}]}], "]"}]}], ";", 
        "\[IndentingNewLine]", 
        RowBox[{"xe", "=", 
         RowBox[{"Hansen", "[", 
          RowBox[{
           RowBox[{"-", "2"}], ",", 
           RowBox[{
            RowBox[{"-", "clamda"}], "-", "q"}], ",", 
           RowBox[{"-", "clamda"}], ",", "Global`e", ",", 
           RowBox[{"pmax", "-", 
            RowBox[{"Abs", "[", "qp", "]"}], "-", 
            RowBox[{"Abs", "[", "clan", "]"}], "-", 
            RowBox[{"Abs", "[", "clanp", "]"}]}]}], "]"}]}], ";", 
        "\[IndentingNewLine]", 
        RowBox[{"xep", "=", 
         RowBox[{"Hansen", "[", 
          RowBox[{"1", ",", 
           RowBox[{"clamdap", "-", "qp"}], ",", "clamdap", ",", 
           RowBox[{"Global`e", "'"}], ",", 
           RowBox[{"pmax", "-", 
            RowBox[{"Abs", "[", "q", "]"}], "-", 
            RowBox[{"Abs", "[", "clan", "]"}], "-", 
            RowBox[{"Abs", "[", "clanp", "]"}]}]}], "]"}]}], ";", 
        "\[IndentingNewLine]", 
        RowBox[{"efun", "=", 
         RowBox[{"SMultiply", "[", 
          RowBox[{"xe", ",", "xep", ",", "pmax"}], "]"}]}], ";", 
        "\[IndentingNewLine]", 
        RowBox[{"iefun", "=", 
         RowBox[{"SMultiply", "[", 
          RowBox[{"efun", ",", "ifun", ",", "pmax"}], "]"}]}], ";", 
        "\[IndentingNewLine]", 
        RowBox[{"Expand", "[", 
         RowBox[{"coeff", "*", "iefun"}], "]"}]}], ",", "0"}], "]"}]}]}], 
   "]"}]}]], "Input",
 InitializationCell->
  True,ExpressionUUID->"1583209f-8359-4d2d-891c-db5d25206c10"],

Cell[BoxData[
 RowBox[{
  RowBox[{
   RowBox[{"DirectPart", "[", 
    RowBox[{"argument_List", ",", "pmax_Integer"}], "]"}], ":=", 
   RowBox[{"If", "[", 
    RowBox[{
     RowBox[{
      RowBox[{"Drop", "[", 
       RowBox[{"argument", ",", "2"}], "]"}], "=!=", 
      RowBox[{"{", 
       RowBox[{"0", ",", "0", ",", "0", ",", "0"}], "}"}]}], ",", 
     RowBox[{
      RowBox[{"EllisKaulaD", "[", 
       RowBox[{"argument", ",", "pmax"}], "]"}], "+", 
      RowBox[{"EllisKaulaD", "[", 
       RowBox[{
        RowBox[{"-", "argument"}], ",", "pmax"}], "]"}]}], ",", 
     RowBox[{"If", "[", 
      RowBox[{
       RowBox[{
        RowBox[{"Variables", "[", "argument", "]"}], "=!=", 
        RowBox[{"{", "}"}]}], ",", 
       RowBox[{"Expand", "[", 
        RowBox[{
         RowBox[{"(", 
          RowBox[{
           RowBox[{"EllisKaulaD", "[", 
            RowBox[{"argument", ",", "pmax"}], "]"}], "+", 
           RowBox[{"EllisKaulaD", "[", 
            RowBox[{
             RowBox[{"-", "argument"}], ",", "pmax"}], "]"}]}], ")"}], "/", 
         "2"}], "]"}], ",", 
       RowBox[{"EllisKaulaD", "[", 
        RowBox[{"argument", ",", "pmax"}], "]"}]}], "]"}]}], "]"}]}], 
  ";"}]], "Input",
 InitializationCell->
  True,ExpressionUUID->"63f9e811-5e1d-4954-9b31-8f2c2e9bd73d"],

Cell[BoxData[
 RowBox[{
  RowBox[{
   RowBox[{"IndirectPartE", "[", 
    RowBox[{"argument_List", ",", "pmax_Integer"}], "]"}], ":=", 
   RowBox[{
    RowBox[{"-", 
     RowBox[{"EllisKaulaE", "[", 
      RowBox[{"argument", ",", "pmax"}], "]"}]}], "-", 
    RowBox[{"EllisKaulaE", "[", 
     RowBox[{
      RowBox[{"-", "argument"}], ",", "pmax"}], "]"}]}]}], ";"}]], "Input",
 InitializationCell->
  True,ExpressionUUID->"0ec934f5-595a-4ea7-921d-c5bed698394b"],

Cell[BoxData[
 RowBox[{
  RowBox[{
   RowBox[{"IndirectPartI", "[", 
    RowBox[{"argument_List", ",", "pmax_Integer"}], "]"}], ":=", 
   RowBox[{
    RowBox[{"-", 
     RowBox[{"EllisKaulaI", "[", 
      RowBox[{"argument", ",", "pmax"}], "]"}]}], "-", 
    RowBox[{"EllisKaulaI", "[", 
     RowBox[{
      RowBox[{"-", "argument"}], ",", "pmax"}], "]"}]}]}], ";"}]], "Input",
 InitializationCell->
  True,ExpressionUUID->"1fb4d5f1-f744-48d6-8281-4bc5977210a1"],

Cell[BoxData[
 RowBox[{
  RowBox[{
   RowBox[{"DisturbingFunctionE", "[", 
    RowBox[{"argument_List", ",", "pmax_Integer"}], "]"}], ":=", 
   RowBox[{
    RowBox[{"(", 
     RowBox[{"Global`\[ScriptCapitalG]", "*", 
      RowBox[{
       RowBox[{"Global`m", "'"}], "/", 
       RowBox[{"Global`a", "'"}]}]}], ")"}], "*", 
    RowBox[{"(", 
     RowBox[{
      RowBox[{
       RowBox[{"DirectPart", "[", 
        RowBox[{"argument", ",", "pmax"}], "]"}], "*", 
       RowBox[{"Cos", "[", 
        RowBox[{
         RowBox[{
          RowBox[{"argument", "[", 
           RowBox[{"[", "1", "]"}], "]"}], "*", 
          RowBox[{"Global`\[Lambda]", "'"}]}], "+", 
         RowBox[{
          RowBox[{"argument", "[", 
           RowBox[{"[", "2", "]"}], "]"}], "*", "Global`\[Lambda]"}], "+", 
         RowBox[{
          RowBox[{"argument", "[", 
           RowBox[{"[", "3", "]"}], "]"}], "*", 
          RowBox[{"Global`\[CurlyPi]", "'"}]}], "+", 
         RowBox[{
          RowBox[{"argument", "[", 
           RowBox[{"[", "4", "]"}], "]"}], "*", "Global`\[CurlyPi]"}], "+", 
         RowBox[{
          RowBox[{"argument", "[", 
           RowBox[{"[", "5", "]"}], "]"}], "*", 
          RowBox[{"Global`\[CapitalOmega]", "'"}]}], "+", 
         RowBox[{
          RowBox[{"argument", "[", 
           RowBox[{"[", "6", "]"}], "]"}], "*", "Global`\[CapitalOmega]"}]}], 
        "]"}]}], "+", 
      RowBox[{"Global`\[Alpha]", "*", 
       RowBox[{"IndirectPartE", "[", 
        RowBox[{"argument", ",", "pmax"}], "]"}], "*", 
       RowBox[{"Cos", "[", 
        RowBox[{
         RowBox[{
          RowBox[{"argument", "[", 
           RowBox[{"[", "1", "]"}], "]"}], "*", 
          RowBox[{"Global`\[Lambda]", "'"}]}], "+", 
         RowBox[{
          RowBox[{"argument", "[", 
           RowBox[{"[", "2", "]"}], "]"}], "*", "Global`\[Lambda]"}], "+", 
         RowBox[{
          RowBox[{"argument", "[", 
           RowBox[{"[", "3", "]"}], "]"}], "*", 
          RowBox[{"Global`\[CurlyPi]", "'"}]}], "+", 
         RowBox[{
          RowBox[{"argument", "[", 
           RowBox[{"[", "4", "]"}], "]"}], "*", "Global`\[CurlyPi]"}], "+", 
         RowBox[{
          RowBox[{"argument", "[", 
           RowBox[{"[", "5", "]"}], "]"}], "*", 
          RowBox[{"Global`\[CapitalOmega]", "'"}]}], "+", 
         RowBox[{
          RowBox[{"argument", "[", 
           RowBox[{"[", "6", "]"}], "]"}], "*", "Global`\[CapitalOmega]"}]}], 
        "]"}]}]}], ")"}]}]}], ";"}]], "Input",
 InitializationCell->
  True,ExpressionUUID->"b0d8cea6-5fad-4c39-a8af-92d6dfdbebb4"],

Cell[BoxData[
 RowBox[{
  RowBox[{
   RowBox[{"DisturbingFunctionI", "[", 
    RowBox[{"argument_List", ",", "pmax_Integer"}], "]"}], ":=", 
   RowBox[{
    RowBox[{"(", 
     RowBox[{"Global`\[ScriptCapitalG]", "*", 
      RowBox[{"Global`m", "/", 
       RowBox[{"Global`a", "'"}]}]}], ")"}], "*", 
    RowBox[{"(", 
     RowBox[{
      RowBox[{
       RowBox[{"DirectPart", "[", 
        RowBox[{"argument", ",", "pmax"}], "]"}], "*", 
       RowBox[{"Cos", "[", 
        RowBox[{
         RowBox[{
          RowBox[{"argument", "[", 
           RowBox[{"[", "1", "]"}], "]"}], "*", 
          RowBox[{"Global`\[Lambda]", "'"}]}], "+", 
         RowBox[{
          RowBox[{"argument", "[", 
           RowBox[{"[", "2", "]"}], "]"}], "*", "Global`\[Lambda]"}], "+", 
         RowBox[{
          RowBox[{"argument", "[", 
           RowBox[{"[", "3", "]"}], "]"}], "*", 
          RowBox[{"Global`\[CurlyPi]", "'"}]}], "+", 
         RowBox[{
          RowBox[{"argument", "[", 
           RowBox[{"[", "4", "]"}], "]"}], "*", "Global`\[CurlyPi]"}], "+", 
         RowBox[{
          RowBox[{"argument", "[", 
           RowBox[{"[", "5", "]"}], "]"}], "*", 
          RowBox[{"Global`\[CapitalOmega]", "'"}]}], "+", 
         RowBox[{
          RowBox[{"argument", "[", 
           RowBox[{"[", "6", "]"}], "]"}], "*", "Global`\[CapitalOmega]"}]}], 
        "]"}]}], "+", 
      RowBox[{
       RowBox[{"(", 
        RowBox[{"1", "/", 
         RowBox[{"Global`\[Alpha]", "^", "2"}]}], ")"}], "*", 
       RowBox[{"IndirectPartI", "[", 
        RowBox[{"argument", ",", "pmax"}], "]"}], "*", 
       RowBox[{"Cos", "[", 
        RowBox[{
         RowBox[{
          RowBox[{"argument", "[", 
           RowBox[{"[", "1", "]"}], "]"}], "*", 
          RowBox[{"Global`\[Lambda]", "'"}]}], "+", 
         RowBox[{
          RowBox[{"argument", "[", 
           RowBox[{"[", "2", "]"}], "]"}], "*", "Global`\[Lambda]"}], "+", 
         RowBox[{
          RowBox[{"argument", "[", 
           RowBox[{"[", "3", "]"}], "]"}], "*", 
          RowBox[{"Global`\[CurlyPi]", "'"}]}], "+", 
         RowBox[{
          RowBox[{"argument", "[", 
           RowBox[{"[", "4", "]"}], "]"}], "*", "Global`\[CurlyPi]"}], "+", 
         RowBox[{
          RowBox[{"argument", "[", 
           RowBox[{"[", "5", "]"}], "]"}], "*", 
          RowBox[{"Global`\[CapitalOmega]", "'"}]}], "+", 
         RowBox[{
          RowBox[{"argument", "[", 
           RowBox[{"[", "6", "]"}], "]"}], "*", "Global`\[CapitalOmega]"}]}], 
        "]"}]}]}], ")"}]}]}], ";"}]], "Input",
 InitializationCell->
  True,ExpressionUUID->"07490c45-debf-4fde-b2d1-19229fc05316"],

Cell[BoxData[
 RowBox[{
  RowBox[{
   RowBox[{"BigRE", "[", 
    RowBox[{"c1_Integer", ",", "c2_Integer", ",", "pw_Integer"}], "]"}], ":=", 
   RowBox[{"Module", "[", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"args", ",", "resargs", ",", "secargs", ",", 
       RowBox[{"order", "=", 
        RowBox[{"Abs", "[", 
         RowBox[{"c1", "+", "c2"}], "]"}]}]}], "}"}], ",", 
     RowBox[{
      RowBox[{"For", "[", 
       RowBox[{
        RowBox[{
         RowBox[{"resargs", "=", 
          RowBox[{"ValidArguments", "[", 
           RowBox[{"c1", ",", "c2", ",", "pw"}], "]"}]}], ";", " ", 
         RowBox[{"i", "=", "1"}]}], ",", 
        RowBox[{
         RowBox[{"i", "*", "order"}], "\[LessEqual]", "pw"}], ",", 
        RowBox[{"i", "++"}], ",", 
        RowBox[{"resargs", "=", 
         RowBox[{"Union", "[", 
          RowBox[{"resargs", ",", 
           RowBox[{"ValidArguments", "[", 
            RowBox[{
             RowBox[{"i", "*", "c1"}], ",", 
             RowBox[{"i", "*", "c2"}], ",", "pw"}], "]"}]}], "]"}]}]}], "]"}],
       ";", "\[IndentingNewLine]", 
      RowBox[{"secargs", "=", 
       RowBox[{"ValidArguments", "[", 
        RowBox[{"0", ",", "0", ",", "pw"}], "]"}]}], ";", 
      "\[IndentingNewLine]", 
      RowBox[{"args", "=", 
       RowBox[{"Union", "[", 
        RowBox[{"secargs", ",", "resargs"}], "]"}]}], ";", 
      "\[IndentingNewLine]", 
      RowBox[{"Expand", "[", 
       RowBox[{"Plus", "@@", 
        RowBox[{"Map", "[", 
         RowBox[{
          RowBox[{
           RowBox[{"DisturbingFunctionE", "[", 
            RowBox[{"#", ",", "pw"}], "]"}], "&"}], ",", "args"}], "]"}]}], 
       "]"}]}]}], "]"}]}], ";"}]], "Input",
 InitializationCell->
  True,ExpressionUUID->"39768622-c170-4dd3-9c11-b3e43bf0d9d0"],

Cell[BoxData[
 RowBox[{
  RowBox[{
   RowBox[{"NBigRE", "[", 
    RowBox[{"c1_Integer", ",", "c2_Integer", ",", "pw_Integer", ",", "a_"}], 
    "]"}], ":=", 
   RowBox[{
    RowBox[{"BigRE", "[", 
     RowBox[{"c1", ",", "c2", ",", "pw"}], "]"}], "/.", 
    RowBox[{"{", 
     RowBox[{
      RowBox[{"Global`\[Alpha]", "\[Rule]", "a"}], ",", 
      RowBox[{
       RowBox[{"Global`b", "[", 
        RowBox[{"s_", ",", "j_", ",", "n_"}], "]"}], "\[Rule]", 
       RowBox[{"LaplaceCoefficient", "[", 
        RowBox[{"s", ",", "j", ",", "a", ",", "n"}], "]"}]}]}], "}"}]}]}], 
  ";"}]], "Input",
 InitializationCell->
  True,ExpressionUUID->"21ad9d72-0ef1-4b5b-8bbe-2e03b966689e"],

Cell[BoxData[
 RowBox[{
  RowBox[{
   RowBox[{"BigRI", "[", 
    RowBox[{"c1_Integer", ",", "c2_Integer", ",", "pw_Integer"}], "]"}], ":=", 
   RowBox[{"Module", "[", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"args", ",", "resargs", ",", "secargs", ",", 
       RowBox[{"order", "=", 
        RowBox[{"Abs", "[", 
         RowBox[{"c1", "+", "c2"}], "]"}]}]}], "}"}], ",", 
     RowBox[{
      RowBox[{"For", "[", 
       RowBox[{
        RowBox[{
         RowBox[{"resargs", "=", 
          RowBox[{"ValidArguments", "[", 
           RowBox[{"c1", ",", "c2", ",", "pw"}], "]"}]}], ";", " ", 
         RowBox[{"i", "=", "1"}]}], ",", 
        RowBox[{
         RowBox[{"i", "*", "order"}], "\[LessEqual]", "pw"}], ",", 
        RowBox[{"i", "++"}], ",", 
        RowBox[{"resargs", "=", 
         RowBox[{"Union", "[", 
          RowBox[{"resargs", ",", 
           RowBox[{"ValidArguments", "[", 
            RowBox[{
             RowBox[{"i", "*", "c1"}], ",", 
             RowBox[{"i", "*", "c2"}], ",", "pw"}], "]"}]}], "]"}]}]}], "]"}],
       ";", "\[IndentingNewLine]", 
      RowBox[{"secargs", "=", 
       RowBox[{"ValidArguments", "[", 
        RowBox[{"0", ",", "0", ",", "pw"}], "]"}]}], ";", 
      "\[IndentingNewLine]", 
      RowBox[{"args", "=", 
       RowBox[{"Union", "[", 
        RowBox[{"secargs", ",", "resargs"}], "]"}]}], ";", 
      "\[IndentingNewLine]", 
      RowBox[{"Expand", "[", 
       RowBox[{"Plus", "@@", 
        RowBox[{"Map", "[", 
         RowBox[{
          RowBox[{
           RowBox[{"DisturbingFunctionI", "[", 
            RowBox[{"#", ",", "pw"}], "]"}], "&"}], ",", "args"}], "]"}]}], 
       "]"}]}]}], "]"}]}], ";"}]], "Input",
 InitializationCell->
  True,ExpressionUUID->"b18a93d4-e513-46bf-8bb3-497064c88b03"],

Cell[BoxData[
 RowBox[{
  RowBox[{
   RowBox[{"NBigRI", "[", 
    RowBox[{"c1_Integer", ",", "c2_Integer", ",", "pw_Integer", ",", "a_"}], 
    "]"}], ":=", 
   RowBox[{
    RowBox[{"BigRI", "[", 
     RowBox[{"c1", ",", "c2", ",", "pw"}], "]"}], "/.", 
    RowBox[{"{", 
     RowBox[{
      RowBox[{"Global`\[Alpha]", "\[Rule]", "a"}], ",", 
      RowBox[{
       RowBox[{"Global`b", "[", 
        RowBox[{"s_", ",", "j_", ",", "n_"}], "]"}], "\[Rule]", 
       RowBox[{"LaplaceCoefficient", "[", 
        RowBox[{"s", ",", "j", ",", "a", ",", "n"}], "]"}]}]}], "}"}]}]}], 
  ";"}]], "Input",
 InitializationCell->
  True,ExpressionUUID->"c2ecf4b8-279e-4880-ada1-d5d67fcef9bc"],

Cell[BoxData[
 RowBox[{"End", "[", "]"}]], "Input",
 InitializationCell->
  True,ExpressionUUID->"dae41091-210c-4623-adb7-dc7a41e31279"],

Cell[BoxData[
 RowBox[{"Protect", "[", 
  RowBox[{
  "ValidArguments", ",", "IndirectTestE", ",", "IndirectTestI", ",", 
   "ValidArgumentsE", ",", "ValidArgumentsI", ",", "FlmpKaula", ",", 
   "FlmpAllan", ",", "Newcomb", ",", "Hansen", ",", "LaplaceSeries", ",", 
   "DisturbingFunctionE", ",", "DisturbingFunctionI", ",", "SMultiply", ",", 
   "DirectPart", ",", "LaplaceCoefficient", ",", "EllisKaulaD", ",", 
   "IndirectPartE", ",", "EllisKaulaE", ",", "IndirectPartI", ",", 
   "EllisKaulaI", ",", "BigRE", ",", "BigRI", ",", "NBigRE", ",", "NBigRI"}], 
  "]"}]], "Input",
 InitializationCell->
  True,ExpressionUUID->"299a1900-7cd5-4d99-8e88-9f1242259638"],

Cell[BoxData[
 RowBox[{"EndPackage", "[", "]"}]], "Input",
 InitializationCell->
  True,ExpressionUUID->"ec9d9496-4fd1-4d29-ab4c-10fd14adf0a9"]
},
AutoGeneratedPackage->Automatic,
WindowSize->{910, 688},
WindowMargins->{{50, Automatic}, {318, Automatic}},
PrivateNotebookOptions->{"VersionedStylesheet"->{"Default.nb"[8.] -> False}},
FrontEndVersion->"12.1 for Mac OS X x86 (64-bit) (June 19, 2020)",
StyleDefinitions->"Default.nb",
ExpressionUUID->"cac8139c-7a32-4872-ac95-830300e1d1f7"
]
(* End of Notebook Content *)

(* Internal cache information *)
(*CellTagsOutline
CellTagsIndex->{}
*)
(*CellTagsIndex
CellTagsIndex->{}
*)
(*NotebookFileOutline
Notebook[{
Cell[558, 20, 176, 3, 46, "Input",ExpressionUUID->"c27c6d69-4939-4b7d-9f87-6a1a1b928a90",
 InitializationCell->True],
Cell[737, 25, 1696, 60, 89, "Input",ExpressionUUID->"df70556e-e172-4645-b9a4-2768a1263a79",
 InitializationCell->True],
Cell[2436, 87, 648, 14, 152, "Input",ExpressionUUID->"6acaa786-73d4-44b4-a97f-b061788784a5",
 InitializationCell->True],
Cell[3087, 103, 324, 7, 89, "Input",ExpressionUUID->"7f57cced-cbfc-4be0-9a18-44dc1adde32c",
 InitializationCell->True],
Cell[3414, 112, 1119, 18, 152, "Input",ExpressionUUID->"50328ff4-5ef5-43e5-a71b-f6501433d817",
 InitializationCell->True],
Cell[4536, 132, 1295, 20, 173, "Input",ExpressionUUID->"fe2d5da7-0a07-4c91-99aa-63f49ef0001f",
 InitializationCell->True],
Cell[5834, 154, 1294, 20, 173, "Input",ExpressionUUID->"d4f962cd-e69d-4143-a769-19e9fcabbd2e",
 InitializationCell->True],
Cell[7131, 176, 948, 18, 107, "Input",ExpressionUUID->"d4fb550a-ee1c-43da-8cb2-cead4139f1a2",
 InitializationCell->True],
Cell[8082, 196, 948, 18, 107, "Input",ExpressionUUID->"a88df0c2-5944-48d1-87f8-7386abd97997",
 InitializationCell->True],
Cell[9033, 216, 316, 7, 59, "Input",ExpressionUUID->"8f71218d-f3f2-48c9-a0d0-ba5e07583150",
 InitializationCell->True],
Cell[9352, 225, 316, 7, 59, "Input",ExpressionUUID->"3b8a3714-141a-4873-8b38-7d85a1b5412b",
 InitializationCell->True],
Cell[9671, 234, 333, 7, 75, "Input",ExpressionUUID->"b927a343-04e3-4aff-a4f9-502877569333",
 InitializationCell->True],
Cell[10007, 243, 386, 8, 91, "Input",ExpressionUUID->"ecdc40e1-2d69-4144-9224-ca93247c0d9f",
 InitializationCell->True],
Cell[10396, 253, 397, 8, 91, "Input",ExpressionUUID->"ebc02bd6-7699-414b-8331-85675d4a97d2",
 InitializationCell->True],
Cell[10796, 263, 360, 7, 75, "Input",ExpressionUUID->"83b6b62f-cf10-4b09-b396-ef04c8edccd8",
 InitializationCell->True],
Cell[11159, 272, 270, 6, 59, "Input",ExpressionUUID->"902e6156-a9aa-4107-99b5-0fc327752ede",
 InitializationCell->True],
Cell[11432, 280, 335, 7, 75, "Input",ExpressionUUID->"bb219e98-e90a-43f5-b165-b9ddbc144ca5",
 InitializationCell->True],
Cell[11770, 289, 365, 7, 75, "Input",ExpressionUUID->"8cc2994e-b159-4c19-82c1-7e6a71988261",
 InitializationCell->True],
Cell[12138, 298, 365, 7, 75, "Input",ExpressionUUID->"7a4e0c39-40a4-4a97-bd6e-d5ae604357fb",
 InitializationCell->True],
Cell[12506, 307, 339, 7, 75, "Input",ExpressionUUID->"571e16f0-91e4-497a-b1db-ce69aaa9dde8",
 InitializationCell->True],
Cell[12848, 316, 374, 7, 75, "Input",ExpressionUUID->"d2b243c6-bd4a-4ff7-9ff9-86844901fa43",
 InitializationCell->True],
Cell[13225, 325, 374, 7, 75, "Input",ExpressionUUID->"fd45fe96-9edb-4a80-9004-e18895d9340c",
 InitializationCell->True],
Cell[13602, 334, 375, 7, 75, "Input",ExpressionUUID->"8d4d27e5-a458-44a4-b837-47b396e2aee8",
 InitializationCell->True],
Cell[13980, 343, 375, 7, 75, "Input",ExpressionUUID->"5c3b1f64-43ee-4fd6-8f5f-5855f1e2de15",
 InitializationCell->True],
Cell[14358, 352, 846, 14, 139, "Input",ExpressionUUID->"d8afe6c6-f0f4-4aac-bacd-9419ad016bc1",
 InitializationCell->True],
Cell[15207, 368, 579, 10, 75, "Input",ExpressionUUID->"ed5815a6-1008-4a8a-a290-8584bd49bf8f",
 InitializationCell->True],
Cell[15789, 380, 845, 14, 139, "Input",ExpressionUUID->"1fc8107d-51ac-4411-8bc7-8e7b877fda4f",
 InitializationCell->True],
Cell[16637, 396, 579, 10, 75, "Input",ExpressionUUID->"68f00a80-94ac-4269-91e6-8927f3b01dc6",
 InitializationCell->True],
Cell[17219, 408, 402, 11, 27, "Input",ExpressionUUID->"90d2e5af-382c-4ffb-9718-a03f9bdd9f70",
 InitializationCell->True],
Cell[17624, 421, 159, 3, 27, "Input",ExpressionUUID->"bd8b079e-c537-4533-9c55-1f713b3a383a",
 InitializationCell->True],
Cell[17786, 426, 6694, 176, 363, "Input",ExpressionUUID->"aee3f8be-fc07-4dfa-a351-13195e76fdf0",
 InitializationCell->True],
Cell[24483, 604, 1914, 53, 139, "Input",ExpressionUUID->"578d5f1b-54fa-43de-90c1-55544b3b30b6",
 InitializationCell->True],
Cell[26400, 659, 4274, 110, 331, "Input",ExpressionUUID->"c387b070-f5f2-4d86-9e91-6ac4ec422fa4",
 InitializationCell->True],
Cell[30677, 771, 1913, 53, 139, "Input",ExpressionUUID->"905aa58b-16c8-4c99-9f44-e178fb7a7206",
 InitializationCell->True],
Cell[32593, 826, 4274, 110, 331, "Input",ExpressionUUID->"a11829c8-08a7-4302-8e78-33c1cbf96603",
 InitializationCell->True],
Cell[36870, 938, 2894, 82, 123, "Input",ExpressionUUID->"2546b503-be0f-42f5-87e4-7320eaf5cefe",
 InitializationCell->True],
Cell[39767, 1022, 536, 16, 43, "Input",ExpressionUUID->"bf2a18af-e745-479e-978d-585c1ec80749",
 InitializationCell->True],
Cell[40306, 1040, 366, 10, 27, "Input",ExpressionUUID->"4d1ec4bb-d4d3-49b6-a419-158d6f4a389c",
 InitializationCell->True],
Cell[40675, 1052, 316, 9, 27, "Input",ExpressionUUID->"46bba226-38b9-43c0-893a-e9a93f5a1ee5",
 InitializationCell->True],
Cell[40994, 1063, 953, 29, 43, "Input",ExpressionUUID->"43c5b355-2546-4e72-8418-4223ee43ecad",
 InitializationCell->True],
Cell[41950, 1094, 2207, 61, 107, "Input",ExpressionUUID->"9d441a38-69ed-48f1-86a3-b0f2ad9bb408",
 InitializationCell->True],
Cell[44160, 1157, 1404, 41, 59, "Input",ExpressionUUID->"b344eb37-67e0-4518-88ba-50f3f63979c4",
 InitializationCell->True],
Cell[45567, 1200, 217, 6, 27, "Input",ExpressionUUID->"f503f257-be7d-4a12-90fa-39c5eecbc201",
 InitializationCell->True],
Cell[45787, 1208, 262, 7, 27, "Input",ExpressionUUID->"7ad6b49a-d809-41b6-b9a5-0a91eb7f7311",
 InitializationCell->True],
Cell[46052, 1217, 1168, 35, 75, "Input",ExpressionUUID->"e7b0212a-d722-4121-b11f-944cb4e763da",
 InitializationCell->True],
Cell[47223, 1254, 443, 12, 43, "Input",ExpressionUUID->"ca65b286-43f1-4e22-8cb6-251a61abd822",
 InitializationCell->True],
Cell[47669, 1268, 2141, 60, 123, "Input",ExpressionUUID->"4c8235b7-13de-4350-83b2-f7d2b4cd2ead",
 InitializationCell->True],
Cell[49813, 1330, 565, 16, 43, "Input",ExpressionUUID->"d85f2b65-6fba-4f16-af64-96ff3723bd16",
 InitializationCell->True],
Cell[50381, 1348, 2721, 75, 171, "Input",ExpressionUUID->"be826026-97ab-4177-94fc-2564dd2e2df7",
 InitializationCell->True],
Cell[53105, 1425, 1833, 52, 123, "Input",ExpressionUUID->"542e3a1a-c17a-4194-b1ee-8af8cc6b9145",
 InitializationCell->True],
Cell[54941, 1479, 14562, 345, 683, "Input",ExpressionUUID->"0282ffb6-e87f-4c98-a779-263397aef24e",
 InitializationCell->True],
Cell[69506, 1826, 4938, 127, 347, "Input",ExpressionUUID->"4ab7b87c-6579-4d36-bf8c-e7116fe7482e",
 InitializationCell->True],
Cell[74447, 1955, 5109, 132, 347, "Input",ExpressionUUID->"1583209f-8359-4d2d-891c-db5d25206c10",
 InitializationCell->True],
Cell[79559, 2089, 1291, 37, 107, "Input",ExpressionUUID->"63f9e811-5e1d-4954-9b31-8f2c2e9bd73d",
 InitializationCell->True],
Cell[80853, 2128, 462, 13, 43, "Input",ExpressionUUID->"0ec934f5-595a-4ea7-921d-c5bed698394b",
 InitializationCell->True],
Cell[81318, 2143, 462, 13, 43, "Input",ExpressionUUID->"1fb4d5f1-f744-48d6-8281-4bc5977210a1",
 InitializationCell->True],
Cell[81783, 2158, 2577, 68, 171, "Input",ExpressionUUID->"b0d8cea6-5fad-4c39-a8af-92d6dfdbebb4",
 InitializationCell->True],
Cell[84363, 2228, 2641, 70, 171, "Input",ExpressionUUID->"07490c45-debf-4fde-b2d1-19229fc05316",
 InitializationCell->True],
Cell[87007, 2300, 1770, 48, 123, "Input",ExpressionUUID->"39768622-c170-4dd3-9c11-b3e43bf0d9d0",
 InitializationCell->True],
Cell[88780, 2350, 678, 19, 59, "Input",ExpressionUUID->"21ad9d72-0ef1-4b5b-8bbe-2e03b966689e",
 InitializationCell->True],
Cell[89461, 2371, 1770, 48, 123, "Input",ExpressionUUID->"b18a93d4-e513-46bf-8bb3-497064c88b03",
 InitializationCell->True],
Cell[91234, 2421, 678, 19, 59, "Input",ExpressionUUID->"c2ecf4b8-279e-4880-ada1-d5d67fcef9bc",
 InitializationCell->True],
Cell[91915, 2442, 136, 3, 27, "Input",ExpressionUUID->"dae41091-210c-4623-adb7-dc7a41e31279",
 InitializationCell->True],
Cell[92054, 2447, 664, 12, 91, "Input",ExpressionUUID->"299a1900-7cd5-4d99-8e88-9f1242259638",
 InitializationCell->True],
Cell[92721, 2461, 143, 3, 27, "Input",ExpressionUUID->"ec9d9496-4fd1-4d29-ab4c-10fd14adf0a9",
 InitializationCell->True]
}
]
*)

